<?php

/* system includes */
require('../settings/settings.php');
require('../systemincludes/alwaysinclude.php');
require('../systemincludes/authenticate.php');
require('../systemincludes/hshcheck.php');
if( $_POST['addkey'] && !checkPWHashString($_POST['addkey'],'actoradd') ) {
	include('../incontent/hashfailed.php');
	exit;
}
require('../systemincludes/sqlfunctions.php');
require('../systemincludes/dbcheck.php');

$failreason = '';
if( $_POST['addkey'] ) {
	//check if it is valid, and add the entry if it is
	if( !preg_match( "/^[0-9a-z_]*[a-z_][0-9a-z_]*$/", $_POST['shortname'] ) ) {
		$failreason = 'Short name not valid.';
	} elseif( !preg_replace( "/\s/", '', $_POST['firstname'] ) && !preg_replace( "/\s/", '', $_POST['lastname'] ) && !preg_replace( "/\s/", '', $_POST['nickname'] ) ) {
		$failreason = 'At least one of the name fields must be provided.';
	} elseif( !preg_match( "/^(0|[12][0-9]{3})$/", $_POST['birthyear'] ) ) {
		$failreason = 'Birth year needs to be between 1000 and 2999, or 0 for unknown.';
	} elseif( !preg_match( "/^(0|[123][0-9]{3})$/", $_POST['deathyear'] ) ) {
		$failreason = 'Death year needs to be between 1000 and 3999, or 0 for unknown.';
	} elseif( $_POST['deathyear'] && $_POST['deathyear'] < $_POST['birthyear'] ) {
		$failreason = 'Death year cannot be earlier than birth year.';
	} elseif( $_POST['gender'] != '0' && $_POST['gender'] != '1' ) {
		$failreason = 'Gender not valid. Stop cheating the system :P';
	} elseif( $_POST['shortname'] == 'deceased' || @sqlfunct_fetch_array(sqlfunct_query("SELECT * FROM actors WHERE shortname = '".$_POST['shortname']."'")) ) {
		$failreason = 'Short name already in use. Please choose another.';
	} else {
		sqlfunct_query("INSERT INTO actors VALUES( '".$_POST['firstname']."', '".$_POST['lastname']."', '".$_POST['shortname']."', '".$_POST['nickname']."', '".$_POST['birthyear']."', '".$_POST['deathyear']."', '".$_POST['gender']."', '".$_POST['picture']."', '".$_POST['thumb']."', '".$_POST['bigpicture']."', '".$_POST['gallery']."', '".$_POST['stats']."', '".$_POST['specialities']."', '".$_POST['rating1']."', '".$_POST['rating2']."', '".$_POST['rating3']."', '".$_POST['rating4']."', '".$_POST['rating5']."', '".$_POST['rating6']."', '".$_POST['rating7']."', '".$_POST['rating8']."', '".$_POST['rating9']."', '".$_POST['rating10']."', '".$_POST['rating11']."', '".$_POST['rating12']."', '".$_POST['rating13']."', '".$_POST['rating14']."', '".$_POST['rating15']."', '".$_POST['rating16']."', '".$_POST['comments']."' )");
		header( 'Location: '.($_SERVER['HTTPS']?'https':'http').'://'.$_SERVER['HTTP_HOST'].preg_replace("/\/[^\/]*\/[^\/]*$/",'/'.$_POST['shortname'],$_SERVER['REQUEST_URI']), true, 303 );
		exit;
	}
}

/* template includes */
include('../includes/headstart.php');

?>

<title>Add actor</title>

<?php include('../includes/headend.php'); ?>

<h1>Add actor</h1>

<?php

$defsection = 'actor';

/* navigation template includes */
function getPageNav() {
	global $row;
	include('../includes/navstart.php');
	include('../includes/navmain.php');
	include('../includes/navsearch.php');
	include('../includes/navwish.php');
	include('../includes/navend.php');
}

if( $navfirst ) { getPageNav(); }
include('../includes/contentstart.php');

if( $failreason ) {
	print "<h2>Adding actor failed</h2>\n<p>".htmlspecialchars($failreason)."</p>\n";
} else {
	?>
<h2>Actor details</h2>
	<?php
	$row = Array(
	  'firstname'=>'','lastname'=>'','shortname'=>'','nickname'=>'','gender'=>'','birthyear'=>'','deathyear'=>'',
	  'picture'=>'','thumb '=>'','bigpicture'=>'','gallery'=>'','stats'=>'','specialities'=>'','rating1'=>'','rating2'=>'',
	  'rating3'=>'','rating4'=>'','rating5'=>'','rating6'=>'','rating7'=>'','rating8'=>'','rating9'=>'','rating10'=>'',
	  'rating11'=>'','rating12'=>'','rating13'=>'','rating14'=>'','rating15'=>'','rating16'=>'','comments'=>''
	);
	$keyinput = '<input type="hidden" name="addkey" value="' . getPWHashString('actoradd') . '"/>';
	include('includes/editform.php');
}

/* template includes */
include('../includes/contentend.php');
if( !$navfirst ) { getPageNav(); }
include('../includes/bodyend.php');

?>