<?php

/* system includes */
require('../settings/settings.php');
require('../systemincludes/alwaysinclude.php');
require('../systemincludes/authenticate.php');
require('../systemincludes/hshcheck.php');
if( $_POST['editkey'] && !checkPWHashString($_POST['editkey'],'actoredit'.$_GET['showentry']) ) {
	include('../incontent/hashfailed.php');
	exit;
}
require('../systemincludes/sqlfunctions.php');
require('../systemincludes/dbcheck.php');

$showentry = sqlfunct_query("SELECT * FROM actors WHERE shortname = '".$_GET['showentry']."'");

$row = sqlfunct_fetch_array($showentry);

$failreason = '';
if( $_POST['editkey'] ) {
	//check if it is valid, and add the entry if it is
	if( !preg_replace( "/\s/", '', $_POST['firstname'] ) && !preg_replace( "/\s/", '', $_POST['lastname'] ) && !preg_replace( "/\s/", '', $_POST['nickname'] ) ) {
		$failreason = 'At least one of the name fields must be provided.';
	} elseif( !preg_match( "/^(0|[12][0-9]{3})$/", $_POST['birthyear'] ) ) {
		$failreason = 'Birth year needs to be between 1000 and 2999, or 0 for unknown.';
	} elseif( !preg_match( "/^(0|[123][0-9]{3})$/", $_POST['deathyear'] ) ) {
		$failreason = 'Death year needs to be between 1000 and 3999, or 0 for unknown.';
	} elseif( $_POST['deathyear'] && $_POST['deathyear'] < $_POST['birthyear'] ) {
		$failreason = 'Death year cannot be earlier than birth year.';
	} elseif( $_POST['gender'] != '0' && $_POST['gender'] != '1' ) {
		$failreason = 'Gender not valid. Stop cheating the system :P';
	} else {
		sqlfunct_query("UPDATE actors SET firstname = '".$_POST['firstname']."', lastname = '".$_POST['lastname']."', nickname = '".$_POST['nickname']."', birthyear = '".$_POST['birthyear']."', deathyear = '".$_POST['deathyear']."', gender = '".$_POST['gender']."', picture = '".$_POST['picture']."', thumb = '".$_POST['thumb']."', bigpicture = '".$_POST['bigpicture']."', gallery = '".$_POST['gallery']."', stats = '".$_POST['stats']."', specialities = '".$_POST['specialities']."', rating1 = '".$_POST['rating1']."', rating2 = '".$_POST['rating2']."', rating3 = '".$_POST['rating3']."', rating4 = '".$_POST['rating4']."', rating5 = '".$_POST['rating5']."', rating6 = '".$_POST['rating6']."', rating7 = '".$_POST['rating7']."', rating8 = '".$_POST['rating8']."', rating9 = '".$_POST['rating9']."', rating10 = '".$_POST['rating10']."', rating11 = '".$_POST['rating11']."', rating12 = '".$_POST['rating12']."', rating13 = '".$_POST['rating13']."', rating14 = '".$_POST['rating14']."', rating15 = '".$_POST['rating15']."', rating16 = '".$_POST['rating16']."', comments = '".$_POST['comments']."' WHERE shortname = '".$_GET['showentry']."'");
		header( 'Location: '.($_SERVER['HTTPS']?'https':'http').'://'.$_SERVER['HTTP_HOST'].preg_replace("/\/[^\/]*\/[^\/]*$/",'/'.$_GET['showentry'],$_SERVER['REQUEST_URI']), true, 303 );
		exit;
	}
}

/* template includes */
include('../includes/headstart.php');

if( $row ) {
	$thename = htmlspecialchars( ( $row['firstname'] || $row['lastname'] ) ? ( $row['firstname'] . ' ' . $row['lastname'] ) : $row['nickname'] );
	print "<title>Edit details for ".$thename."</title>\n";
} else {
	print "<title>".$notfoundtitle."</title>\n";
}

include('../includes/headend.php');

if( $row ) {
	print "<h1>Edit details for ".$thename."</h1>\n";
} else {
	print "<h1>".$notfoundtitle."</h1>\n";
}

$defsection = 'actor';

/* navigation template includes */
function getPageNav() {
	global $row; $row['typename'] = 'actor';
	include('../includes/navstart.php');
	include('../includes/navmain.php');
	include('../includes/navback.php');
	include('../includes/navsearch.php');
	include('../includes/navwish.php');
	include('../includes/navend.php');
}

if( $navfirst ) { getPageNav(); }
include('../includes/contentstart.php');

if( $failreason ) {
	print "<h2>Editing actor failed</h2>\n<p>".htmlspecialchars($failreason)."</p>\n";
} elseif( $row ) {
	?>
	<h2>Edit details</h2>
	<?php
	$keyinput = '<input type="hidden" name="editkey" value="' . getPWHashString('actoredit'.$_GET['showentry']) . '"/>';
	include('includes/editform.php');
} else {
	print $notfoundh2.$noactor;
}

/* template includes */
include('../includes/contentend.php');
if( !$navfirst ) { getPageNav(); }
include('../includes/bodyend.php');

?>