<form action="./<?php print htmlspecialchars($row['shortname']); ?>" method="post" id="actoredit">
	<fieldset>
		<legend>Name</legend>
		<p>At least one of these fields must not be empty.</p>
		<ul>
			<li><label>First name: <input type="text" name="firstname" pattern="(.*\S.*)?" maxlength="255" value="<?php print htmlspecialchars($row['firstname']); ?>"/></label></li>
			<li><label>Last name: <input type="text" name="lastname" pattern="(.*\S.*)?" maxlength="255" value="<?php print htmlspecialchars($row['lastname']); ?>"/></label></li>
			<li><label>Nickname(s): <input type="text" name="nickname" pattern="(.*\S.*)?" maxlength="255" value="<?php print htmlspecialchars($row['nickname']); ?>"/></label></li>
		</ul>
	</fieldset>
	<?php if( !$row['shortname'] ) { ?>
	<fieldset>
		<legend>Unique name for use in URLs</legend>
		<p>This cannot contain just numbers, and must consist only of the characters a-z, _, and 0-9. It must be
		unique for each actor, and cannot be changed later.</p>
		<ul>
			<li><label>Short name: <input type="text" name="shortname" pattern="[0-9a-z_]*[a-z_][0-9a-z_]*" required="required" maxlength="50" value=""/></label></li>
		</ul>
	</fieldset>
	<?php } ?>
	<fieldset>
		<legend>Pictures</legend>
		<p>Images normally stored in /images/actor/[thumb|normal|big]/</p>
		<ul>
			<li><label>Thumb: <input type="text" name="thumb" maxlength="255" value="<?php print htmlspecialchars($row['thumb']); ?>"/></label></li>
			<li><label>Picture: <input type="text" name="picture" maxlength="255" value="<?php print htmlspecialchars($row['picture']); ?>"/></label></li>
			<li><label>Big picture: <input type="text" name="bigpicture" maxlength="255" value="<?php print htmlspecialchars($row['bigpicture']); ?>"/></label></li>
			<li><label>Gallery (HTML): <textarea rows="3" cols="50" name="gallery"><?php print htmlspecialchars($row['gallery']); ?></textarea></label></li>
		</ul>
	</fieldset>
	<fieldset>
		<legend>Details</legend>
		<ul>
			<li><label>Birth year (0 for unknown): <input type="number" name="birthyear" min="0" max="<?php print date('Y'); ?>" step="1" required="required" maxlength="4" value="<?php print ( $row['birthyear'] ? htmlspecialchars($row['birthyear']) : '0' ); ?>"/></label></li>
			<li><label>Death year (0 for none): <input type="number" name="deathyear" min="0" max="<?php print date('Y'); ?>" step="1" required="required" maxlength="4" value="<?php print ( $row['deathyear'] ? htmlspecialchars($row['deathyear']) : '0' ); ?>"/></label></li>
			<li><label>Gender: <select name="gender">
				<option value="0"<?php if( !$row['gender'] ) { print ' selected="selected"'; } ?>>Male</option>
				<option value="1"<?php if( $row['gender'] ) { print ' selected="selected"'; } ?>>Female</option>
			</select></label></li>
			<li><label>Stats (HTML): <textarea rows="3" cols="50" name="stats"><?php print htmlspecialchars($row['stats']); ?></textarea></label></li>
			<li><label>Specialities (HTML): <textarea rows="3" cols="50" name="specialities"><?php print htmlspecialchars($row['specialities']); ?></textarea></label></li>
			<li><label>Comments (HTML): <textarea rows="3" cols="50" name="comments"><?php print htmlspecialchars($row['comments']); ?></textarea></label></li>
		</ul>
	</fieldset>
	<fieldset>
		<legend>Ratings</legend>
		<p>1-9. Use 0 for unrated.</p>
		<ul>
			<?php
			for( $i = 1; $i < 17; $i++ ) {
				$currat = 'actrating'.$i;
				print '<li><label>'.$$currat.' <input type="number" name="rating'.$i.'" min="0" max="9" step="1" required="required" maxlength="1" value="'.( $row['rating'.$i] ? htmlspecialchars($row['rating'.$i]) : '0' ).'"/></label></li>'."\n";
			}
			?>
		</ul>
	</fieldset>
	<p><input type="submit" value="<?php print ($row['shortname']?'Update':'Add'); ?> actor"/><?php print $keyinput; ?></p>
</form>
