<?php

/* system includes */
require('../settings/settings.php');
require('../systemincludes/alwaysinclude.php');
require('../systemincludes/authenticate.php');
require('../systemincludes/sqlfunctions.php');
require('../systemincludes/dbcheck.php');

/* template includes */
include('../includes/headstart.php');

?>

<title>Actors</title>

<?php include('../includes/headend.php'); ?>

<h1>Actors</h1>

<?php

$defsection = 'actor';

/* navigation template includes */
function getPageNav() {
	include('../includes/navstart.php');
	include('../includes/navmain.php');
	include('../includes/navsearch.php');
	include('../includes/navwish.php');
	include('../includes/navend.php');
}

if( $navfirst ) { getPageNav(); }
include('../includes/contentstart.php');

$workrange = null;

if( isset($_GET['showrange']) && $workrange = $ageranges[$_GET['showrange']] ) {
	$agequery = ' AND deathyear = 0 AND birthyear <= YEAR(CURRENT_DATE) - '.$workrange[0].' AND birthyear >= YEAR(CURRENT_DATE) - '.$workrange[1];
} elseif( $_GET['showrange'] == 'deceased' ) {
	$agequery = ' AND deathyear > 0';
} else {
	$agequery = '';
}
?>

<h2>By age</h2>

<ol>
<?php
foreach( $ageranges as $onekey => $oneage ) {
	$actcount = sqlfunct_fetch_array( sqlfunct_query('SELECT count(*) AS count FROM actors WHERE deathyear = 0 AND birthyear <= YEAR(CURRENT_DATE) - '.$oneage[0].' AND birthyear >= YEAR(CURRENT_DATE) - '.$oneage[1]) );
	print '<li'.((isset($_GET['showrange'])&&$_GET['showrange']!='deceased'&&$_GET['showrange']==$onekey)?' id="current"':'').'><a href="./'.$onekey.'">'.$oneage[2].'</a> <var>'.$actcount['count']."</var></li>\n";
}
$actcount = sqlfunct_fetch_array( sqlfunct_query('SELECT count(*) AS count FROM actors WHERE deathyear > 0') );
print '<li'.(($_GET['showrange']=='deceased')?' id="current"':'').'><a href="deceased">Deceased</a> <var>'.$actcount['count']."</var></li>\n";
?>
</ol>

<h2>By name</h2>

<?php

/* alphabetical index */
sqlfunct_query("CREATE TEMPORARY TABLE miniactor ( lastname varchar(255), firstname varchar(255), shortname varchar(255), birthyear int(4), deathyear int(4) ) CHARSET=".$supportsutf8);
sqlfunct_query("INSERT INTO miniactor ( lastname, firstname, shortname, birthyear, deathyear ) SELECT lastname, firstname, shortname, birthyear, deathyear FROM actors WHERE lastname <> ''".$agequery);
sqlfunct_query("INSERT INTO miniactor ( lastname, shortname, birthyear, deathyear ) SELECT firstname, shortname, birthyear, deathyear FROM actors WHERE lastname = '' AND firstname <> ''".$agequery);
sqlfunct_query("INSERT INTO miniactor ( lastname, shortname, birthyear, deathyear ) SELECT nickname, shortname, birthyear, deathyear FROM actors WHERE lastname = '' AND firstname = ''".$agequery);
$allactr = sqlfunct_query("SELECT * FROM miniactor ORDER BY lastname, firstname");
sqlfunct_query("DROP TEMPORARY TABLE miniactor");

if( sqlfunct_get_num_rows($allactr) ) {
	$curletter = '';
	$isopen = false;
	$curyear = date('Y') * 1;
	while( $row = sqlfunct_fetch_array($allactr) ) {
		preg_match("/^./su",$row['lastname'],$thislet); //cannot use substr; not utf-8-aware
		$thislet = strtoupper($thislet[0]);
		if( $thislet != $curletter ) {
			if( $isopen ) { print "</ol>\n"; }
			print "<h3>".$thislet."</h3>\n<ol>\n";
			$curletter = $thislet;
			$isopen = true;
		}
		print '<li><a href="'.htmlspecialchars($row['shortname']).'">'.htmlspecialchars($row['lastname']).($row['firstname']?(', '.htmlspecialchars($row['firstname'])):'').'</a> '.(($row['birthyear']||$row['deathyear'])?('<var>'.($row['deathyear']?'deceased':($curyear-$row['birthyear'])).'</var> '):'').'<a href="edit/'.htmlspecialchars($row['shortname']).'">edit</a> <a href="delete/'.htmlspecialchars($row['shortname']).'">delete</a></li>'."\n";
	}
	if( $isopen ) { print "</ol>\n"; }

} else {
	print $noactor;
}

include('../includes/actionadd.php');

/* template includes */
include('../includes/contentend.php');
if( !$navfirst ) { getPageNav(); }
include('../includes/bodyend.php');

?>