<?php

/* system includes */
require('../settings/settings.php');
require('../systemincludes/alwaysinclude.php');
require('../systemincludes/authenticate.php');
require('../systemincludes/hshcheck.php');
if( ( $_POST['removekey'] && !checkPWHashString($_POST['removekey'],'actormoviesremove'.$_GET['showentry']) ) || ( $_POST['addkey'] && !checkPWHashString($_POST['addkey'],'actormoviesadd'.$_GET['showentry']) ) ) {
	include('../incontent/hashfailed.php');
	exit;
}
require('../systemincludes/sqlfunctions.php');
require('../systemincludes/dbcheck.php');

/* template includes */
include('../includes/headstart.php');

$showentry = sqlfunct_query("SELECT * FROM actors WHERE shortname = '".$_GET['showentry']."'");

$row = sqlfunct_fetch_array($showentry);

if( $row ) {
	$thename = htmlspecialchars( ( $row['firstname'] || $row['lastname'] ) ? ( $row['firstname'] . ' ' . $row['lastname'] ) : $row['nickname'] );
	print "<title>Movies for ".$thename."</title>\n";
} else {
	print "<title>".$notfoundtitle."</title>\n";
}

include('../includes/headend.php');

if( $row ) {
	print "<h1>Movies for ".$thename."</h1>\n";
} else {
	print "<h1>".$notfoundtitle."</h1>\n";
}

$defsection = 'movie';

/* navigation template includes */
function getPageNav() {
	global $row; $row['typename'] = 'actor';
	include('../includes/navstart.php');
	include('../includes/navmain.php');
	include('../includes/navback.php');
	include('../includes/navsearch.php');
	include('../includes/navwish.php');
	include('../includes/navend.php');
}

if( $navfirst ) { getPageNav(); }
include('../includes/contentstart.php');

if( $row ) {
	if( $_POST['remove'] && $_POST['removekey'] ) {
		$_POST['remove'] = preg_replace( "/^Remove\s+|<[^>]*>/", '', $_POST['remove'] ); //to allow for IE stupidity
		$removedmovie = sqlfunct_query("SELECT name FROM movies WHERE shortname = '".$_POST['remove']."'");
		$removedmovie = @sqlfunct_fetch_array($removedmovie);
		$removedmovie = $removedmovie ? $removedmovie['name'] : 'untitled';
		sqlfunct_query("DELETE FROM movieact WHERE actor = '".addslashes($row['shortname'])."' AND movie = '".$_POST['remove']."'");
		print "<h2>Removing movie</h2>\n<p>Movie removed: ".htmlspecialchars($removedmovie)."</p>\n";
	}
	if( $_POST['add'] && $_POST['addkey'] ) {
		$addedmovie = sqlfunct_query("SELECT name FROM movies WHERE shortname = '".$_POST['add']."'");
		$addedmovie = @sqlfunct_fetch_array($addedmovie);
		if( !$addedmovie ) {
			print "<h2>Adding movie failed</h2>\n".$nomovie."\n";
		} else {
			$alreadystar = sqlfunct_query("SELECT * FROM movieact WHERE movie = '".$_POST['add']."' AND actor = '".addslashes($row['shortname'])."'");
			if( @sqlfunct_fetch_array($alreadystar) ) {
				print "<h2>Adding movie failed</h2>\n<p>Movie; ".htmlspecialchars($addedmovie['name']).", is already in the list.</p>\n";
			} else {
				sqlfunct_query("INSERT INTO movieact ( movie, actor, partsplayed ) VALUES ( '".$_POST['add']."', '".addslashes($row['shortname'])."', '".$_POST['characters']."' )");
				print "<h2>Adding movie</h2>\n<p>Movie added: ".htmlspecialchars($addedmovie['name'])."</p>\n";
			}
		}
	}
	?>
	<h2>Movies featuring this actor</h2>
	<?php
	$infimls = sqlfunct_query("SELECT * FROM movieact LEFT JOIN movies ON movie = shortname WHERE actor = '".addslashes($row['shortname'])."' ORDER BY name");
	if( sqlfunct_get_num_rows($infimls) ) {
		print '<form action="'.htmlspecialchars($row['shortname']).'" method="post">'."\n<ol>\n";
		$doneone = false;
		//IE submits the content - markup and all(!) - as the value, instead of the value attribute, so needs an ugly hack
		$brokenbrowser = strstr($_SERVER['HTTP_USER_AGENT'],'MSIE');
		while( $onemovie = sqlfunct_fetch_array($infimls) ) {
			$brokenbrowser = $brokenbrowser ? ( ' <!--[if IE]><span style="display:none;">'.htmlspecialchars($onemovie['shortname']).'</span><![endif]-->' ) : '';
			print '<li>'.($doneone?'':('<input type="hidden" name="removekey" value="'.getPWHashString('actormoviesremove'.$row['shortname']).'"/>')).'<button type="submit" name="remove" value="'.htmlspecialchars($onemovie['shortname']).'">Remove'.$brokenbrowser.'</button> '.htmlspecialchars($onemovie['name'])."</li>\n";
			$doneone = true;
		}
		print "</ol></form>\n";
	} else {
		print $nomovie;
	}

	sqlfunct_query("CREATE TEMPORARY TABLE minimovact ( movie varchar(50) default NULL, actor varchar(50) default NULL ) CHARSET=".$supportsutf8);
	sqlfunct_query("INSERT INTO minimovact ( movie, actor ) SELECT movie, actor FROM movieact WHERE actor = '".addslashes($row['shortname'])."'");
	$infimls = sqlfunct_query("SELECT * FROM movies LEFT JOIN minimovact ON movie = shortname WHERE actor IS NULL ORDER BY name");
	sqlfunct_query("DROP TEMPORARY TABLE minimovact");
	if( sqlfunct_get_num_rows($infimls) ) {
		print '<form action="'.htmlspecialchars($row['shortname']).'" method="post">';
			?>
			<fieldset>
				<legend>Add movie</legend>
				<ul>
					<li><label>Movie: <select name="add">
					<?php
					while( $onemovie = sqlfunct_fetch_array($infimls) ) {
						print '<option value="'.htmlspecialchars($onemovie['shortname']).'">'.htmlspecialchars($onemovie['name'])."</option>\n";
					}
					?>
					</select></label></li>
					<li><label>Character names: <input type="text" name="characters" value="" maxlength="255"/></label></li>
				<input type="submit" value="Add"/><input type="hidden" name="addkey" value="<?php print getPWHashString('actormoviesadd'.$row['shortname']); ?>"/>
			</fieldset>
		</form>
		<?php
	} else {
		print '<h3>Add movie</h3>'.$nomovie;
	}


} else {
	print $notfoundh2.$noactor;
}

/* template includes */
include('../includes/contentend.php');
if( !$navfirst ) { getPageNav(); }
include('../includes/bodyend.php');

?>