<?php

/* system includes */
require('../settings/settings.php');
require('../systemincludes/alwaysinclude.php');
require('../systemincludes/authenticate.php');
require('../systemincludes/sqlfunctions.php');
require('../systemincludes/dbcheck.php');

if( isset($_GET['showentry']) && !preg_match("/^movies|[1-9]|1[0-6]$/",$_GET['showentry']) ) {
	header( 'Location: '.($_SERVER['HTTPS']?'https':'http').'://'.$_SERVER['HTTP_HOST'].preg_replace("/\/[^\/]*$/",'/'.$_GET['showentry'],$_SERVER['REQUEST_URI']) );
	exit;
}

/* template includes */
include('../includes/headstart.php');

?>

<title>Top actors</title>

<?php include('../includes/headend.php'); ?>

<h1>Top actors</h1>

<?php

$defsection = 'actor';

/* navigation template includes */
function getPageNav() {
	include('../includes/navstart.php');
	include('../includes/navmain.php');
	include('../includes/navsearch.php');
	include('../includes/navwish.php');
	include('../includes/navend.php');
}

if( $navfirst ) { getPageNav(); }
include('../includes/contentstart.php');


if( $_GET['showentry'] ) {


	if( $_GET['showentry'] == 'movies' ) {
		print "<h2>Ranked by number of films (2 or more)</h2>\n";
		$rating = '';
	} else {
		$rating = ', rating'.$_GET['showentry'];
		$currat = 'actrating'.$_GET['showentry'];
		print '<h2>Ranked by '.htmlspecialchars($$currat)."</h2>\n";
	}

	sqlfunct_query("CREATE TEMPORARY TABLE miniactor ( lastname varchar(255), firstname varchar(255), shortname varchar(255), birthyear int(4), deathyear int(4), thumb varchar(255), bigpicture varchar(255), rating".$_GET['showentry']." int(1) ) CHARSET=".$supportsutf8);
	sqlfunct_query("INSERT INTO miniactor ( lastname, firstname, shortname, birthyear, deathyear, thumb, bigpicture".$rating." ) SELECT lastname, firstname, shortname, birthyear, deathyear, thumb, bigpicture".$rating." FROM actors WHERE lastname <> ''".$agequery);
	sqlfunct_query("INSERT INTO miniactor ( lastname, shortname, birthyear, deathyear, thumb, bigpicture".$rating." ) SELECT firstname, shortname, birthyear, deathyear, thumb, bigpicture".$rating." FROM actors WHERE lastname = '' AND firstname <> ''".$agequery);
	sqlfunct_query("INSERT INTO miniactor ( lastname, shortname, birthyear, deathyear, thumb, bigpicture".$rating." ) SELECT nickname, shortname, birthyear, deathyear, thumb, bigpicture".$rating." FROM actors WHERE lastname = '' AND firstname = ''".$agequery);

	if( $_GET['showentry'] == 'movies' ) {
		//all bought
		$allactr = sqlfunct_query("SELECT count(*) AS count, lastname, firstname, miniactor.shortname AS shortname, birthyear, deathyear, miniactor.thumb AS thumb, bigpicture FROM miniactor, movieact, movies WHERE miniactor.shortname = movieact.actor AND movieact.movie = movies.shortname AND movies.status = 3 GROUP BY miniactor.shortname HAVING count > 1 ORDER BY count(*) DESC, lastname, firstname");
		//all total (displayed if different to bought)
		$allactrtot = sqlfunct_query("SELECT count(*) AS count, actors.shortname AS shortname FROM actors, movieact, movies WHERE actors.shortname = movieact.actor AND movieact.movie = movies.shortname GROUP BY actors.shortname");
		$allmov = Array();
		while( $row = sqlfunct_fetch_array($allactrtot) ) {
			$allmov[$row['shortname']] = $row['count'];
		}
	} else {
		$allactr = sqlfunct_query("SELECT rating".$_GET['showentry'].", lastname, firstname, shortname, birthyear, deathyear, thumb, bigpicture FROM miniactor WHERE rating".$_GET['showentry']." > 0 ORDER BY rating".$_GET['showentry']." DESC, lastname, firstname");
	}
	sqlfunct_query("DROP TEMPORARY TABLE miniactor");

	if( sqlfunct_get_num_rows($allactr) ) {
		?>
		<table>
			<thead>
				<tr><th>Actor</th><th><?php print ( $_GET['showentry'] == 'movies' ) ? 'Movies' : htmlspecialchars($$currat); ?></th><th>Age</th><th>Picture</th></tr>
			</thead>
			<tbody>
				<?php
				$curyear = date('Y') * 1;
				while( $row = sqlfunct_fetch_array($allactr) ) {
					print '			<tr><th><a href="../'.htmlspecialchars($row['shortname']).'">'.htmlspecialchars($row['lastname']).($row['firstname']?(', '.htmlspecialchars($row['firstname'])):'').'</a></th><td><var>';
					if( $_GET['showentry'] == 'movies' ) {
						print $row['count'].'</var>'.(($allmov[$row['shortname']]==$row['count'])?'':(' <var>'.$allmov[$row['shortname']].'</var>'));
					} else {
						print $row['rating'.$_GET['showentry']].'</var>';
					}
					print '</td><td>'.(($row['birthyear']||$row['deathyear'])?('<var>'.($row['deathyear']?'deceased':($curyear-$row['birthyear'])).'</var> '):'').'</td><td>';
					if( $row['bigpicture'] ) { print '<a href="'.htmlspecialchars($row['bigpicture']).'">'; }
					if( $row['thumb'] ) { print '<img src="'.htmlspecialchars($row['thumb']).'" alt="'; }
					if( $row['bigpicture'] ) { print '[view picture]'; } elseif( $row['thumb'] ) { print '[picture]'; }
					if( $row['thumb'] ) { print '"/>'; }
					if( $row['bigpicture'] ) { print '</a>'; }
					print "</td></tr>\n";
				}
				?>
			</tbody>
		</table>
		<?php

	} else {
		print $noactor;
	}

} else {
	print "<h2>Rank by</h2>\n<ol>\n";
	for( $i = 1; $i < 17; $i++ ) {
		$currat = 'actrating'.$i;
		print '<li><a href="'.$i.'">'.htmlspecialchars($$currat)."</a></li>\n";
	}
	print "<li><a href=\"movies\">Number of movies</a></li>\n</ol>\n";
}

/* template includes */
include('../includes/contentend.php');
if( !$navfirst ) { getPageNav(); }
include('../includes/bodyend.php');

?>