<?php

/* system includes */
require('../settings/settings.php');
require('../systemincludes/alwaysinclude.php');
require('../systemincludes/authenticate.php');
require('../systemincludes/hshcheck.php');
require('../systemincludes/sqlfunctions.php');
require('../systemincludes/dbcheck.php');

/* template includes */
include('../includes/headstart.php');
include('../includes/headup.php');

$showentry = sqlfunct_query("SELECT * FROM actors WHERE shortname = '".$_GET['showentry']."'");

$row = sqlfunct_fetch_array($showentry);

if( $row ) {
	$thename = htmlspecialchars( ( $row['firstname'] || $row['lastname'] ) ? ( $row['firstname'] . ' ' . $row['lastname'] ) : $row['nickname'] );
	print "<title>".$thename."</title>\n";
} else {
	print "<title>".$notfoundtitle."</title>\n";
}

include('../includes/headend.php');

if( $row ) {
	print "<h1>".$thename."</h1>\n";
} else {
	print "<h1>".$notfoundtitle."</h1>\n";
}

$defsection = 'actor';

/* navigation template includes */
function getPageNav() {
	global $row;
	include('../includes/navstart.php');
	include('../includes/navmain.php');
	include('../includes/navsearch.php');
	include('../includes/navwish.php');
	include('../includes/navend.php');
}

if( $navfirst ) { getPageNav(); }
include('../includes/contentstart.php');

if( $row ) {

	//main content showing details of actor
	?>
	<h2>Actor details</h2>
	<?php
	if( $row['bigpicture'] ) { print '<a href="'.htmlspecialchars($row['bigpicture']).'">'; }
	if( $row['picture'] ) { print '<img src="'.htmlspecialchars($row['picture']).'" alt="'; }
	if( $row['bigpicture'] ) { print '[view picture]'; } elseif( $row['picture'] ) { print '[picture]'; }
	if( $row['picture'] ) { print '"/>'; }
	if( $row['bigpicture'] ) { print '</a>'; }

	print "<dl>\n";
	if( $row['nickname'] ) { print '<dt>Nickname</dt><dd>'.htmlspecialchars($row['nickname'])."</dd>\n"; }
	if( $row['birthyear'] ) {
		if( $row['deathyear'] ) {
			print '<dt>Birth year</dt><dd>'.$row['birthyear']."</dd>\n";
			print '<dt>Death year [age]</dt><dd>'.$row['deathyear'].' ['.($row['deathyear']-$row['birthyear'])."]</dd>\n";
		} else {
			print '<dt>Age [birth year]</dt><dd>'.( ( date('Y') * 1 ) - $row['birthyear'] ).' ['.$row['birthyear']."]</dd>\n";
		}
	} elseif( $row['deathyear'] ) {
		print '<dt>Death year</dt><dd>'.$row['deathyear']."</dd>\n";
	}
	print '<dt>Gender</dt><dd>'.($row['gender']?'Female':'Male')."</dd>\n";
	print "</dl>\n";

	if( $row['stats'] ) { print '<h3>Stats</h3>'.$row['stats']."\n"; }
	if( $row['specialities'] ) { print '<h3>Specialities</h3>'.$row['specialities']."\n"; }
	if( $row['gallery'] ) { print '<h3>Gallery</h3>'.$row['gallery']."\n"; }

	//now films - using a separate request
	$infilms = sqlfunct_query("SELECT * FROM movieact LEFT JOIN movies ON movie = shortname WHERE actor = '".addslashes($row['shortname'])."' ORDER BY name");
	if( sqlfunct_get_num_rows($infilms) ) {
		print "<h3>Movies</h3>\n<ul>\n";
		while( $onemovie = sqlfunct_fetch_array($infilms) ) {
			print '<li><a href="../movies/'.htmlspecialchars($onemovie['shortname']).'">'.htmlspecialchars($onemovie['name']).'</a>'.($onemovie['year']?(' ('.$onemovie['year'].')'):'').( $onemovie['partsplayed'] ? ( ' (' . htmlspecialchars($onemovie['partsplayed']) . ')' ) : '' )."</li>\n";
		}
		print "</ul>";
	}

	if( $row['comments'] ) { print '<h3>Comments</h3>'.$row['comments']."\n"; }

	for( $i = 1, $ratedyet = false; $i < 17; $i++ ) {
		$currat = 'actrating'.$i;
		if( $row['rating'.$i] ) {
			if( !$ratedyet ) {
				print "<h3>Ratings</h3>\n<dl>\n";
				$ratedyet = true;
			}
			print '<dt>'.htmlspecialchars($$currat).'</dt><dd>'.$row['rating'.$i]."</dd>\n";
		}
	}
	if( $ratedyet ) {
		print "</dl>\n";
	}

	$deletekey = getPWHashString('actordelete'.$row['shortname']);
	include('../includes/actionedit.php');
	?>
	<form action="movies/<?php print htmlspecialchars($row['shortname']); ?>" method="post">
		<p><input type="submit" value="Edit movies"/></p>
	</form>
	<?php

} else {
	print $notfoundh2.$noactor;
}

/* template includes */
include('../includes/contentend.php');
if( !$navfirst ) { getPageNav(); }
include('../includes/bodyend.php');

?>