<?php

/* system includes */
require('../../settings/settings.php');
require('../../systemincludes/alwaysinclude.php');
require('../../systemincludes/authenticate.php');

/* allow saving of the dump file */
if( isset($_GET['saveas']) ) {
	header( 'Content-type: application/x-httpd-php' );
	header( 'Content-Disposition: attachment; filename="admin_recreatedatabase_index.php"' );
	header( 'Content-length: '.filesize('../recreatedatabase/index.php') );
	fpassthru( fopen( 'index.php', 'rb' ) );
	exit;
}

/* system includes */
require('../../systemincludes/sqlfunctions.php');

/* template includes */
include('../../includes/headstart.php');

?>

<title>Backing up database to file</title>

<?php include('../../includes/headend.php'); ?>

<h1>Backing up database to file</h1>

<?php

/* navigation template includes */
function getPageNav() {
	include('../../includes/navstart.php');
	include('../../includes/navadmin.php');
	include('../../includes/navend.php');
}

if( $navfirst ) { getPageNav(); }
include('../../includes/contentstart.php');

function addsanit($str) {
	return str_replace('$','\\$',addslashes(str_replace('\\','\\\\',$str)));
}

/* checking if the database tables exist */
if( !@sqlfunct_query( "SELECT * FROM movies") ) {
	print "<h2>Backup  failed</h2>";
	print "<p>The database is empty so cannot be backed up.</p>";
} else {

	/* start preparing the new contents */
	$contents = "<?php\n\n/******************** WARNING: ********************\n\nDo not edit this file directly.\nIt is created in parts from:\n- incontent/dbrecreatestart.txt\n- dynamic content created by admin/dbdump/index.php\n- incontent/dbrecreatestart.txt\n\n**************************************************/\n\n?>";
	$failreason = '';

	/* read the contents of the first include file */
	if( $fileRef = @fopen('../../incontent/dbrecreatestart.txt','rb') ) {
		while( !feof( $fileRef ) ) { $contents .= fread( $fileRef, 8192 ); }
		fclose($fileRef);
	} else { $failreason = 'incontent/dbrecreatestart.txt'; }

	/* read the database one table at a time */
	$tablelist = Array('movies','actors','categories','studios','directors','moviecat','movieact');
	foreach( $tablelist as $onetable ) {
		if( $failreason ) { break; }
		print "<h2>Reading table '".$onetable."'</h2>";
		$contents .= "print \"<h2>Adding rows to table '".$onetable."'</h2>\";\n\$errorcount = 0;\$errorstr = '';\n";
		$curtable = sqlfunct_query( "SELECT * FROM ".$onetable );
		while( $row = sqlfunct_fetch_array( $curtable ) ) {

			/* prepare the command to recreate the database entry */
			switch( $onetable ) {
				case 'movies':
					$contents .= "sqlfunct_query( \"INSERT INTO movies VALUES ('".addsanit($row['name']).
					             "','".addsanit($row['shortname'])."','".addsanit($row['description']).
					             "','".addsanit($row['cover'])."','".addsanit($row['thumb'])."','".addsanit($row['fullthumb']).
					             "','".addsanit($row['director'])."','".addsanit($row['studio']).
					             "',".$row['year'].",".$row['status'].",".$row['rating1'].",".$row['rating2'].
					             ",".$row['rating3'].",".$row['rating4'].",".$row['rating5'].",'".addsanit($row['comments']).
					             "','".addsanit($row['runtime'])."','".addsanit($row['certification']).
					             "','".addsanit($row['mediatype'])."',".$row['region'].
					             ",'".addsanit($row['format'])."','".addsanit($row['colour'])."','".addsanit($row['audio']).
					             "','".addsanit($row['boughtdate'])."')\" );";
					break;
				case 'actors':
					$contents .= "sqlfunct_query( \"INSERT INTO actors VALUES ('".addsanit($row['firstname']).
					             "','".addsanit($row['lastname'])."','".addsanit($row['shortname']).
					             "','".addsanit($row['nickname'])."',".$row['birthyear'].",".$row['deathyear'].",".$row['gender'].
					             ",'".addsanit($row['picture'])."','".addsanit($row['thumb'])."','".addsanit($row['bigpicture']).
					             "','".addsanit($row['gallery'])."','".addsanit($row['stats']).
					             "','".addsanit($row['specialities']).
					             "',".$row['rating1'].",".$row['rating2'].",".$row['rating3'].",".$row['rating4'].
					             ",".$row['rating5'].",".$row['rating6'].",".$row['rating7'].",".$row['rating8'].
					             ",".$row['rating9'].",".$row['rating10'].",".$row['rating11'].",".$row['rating12'].
					             ",".$row['rating13'].",".$row['rating14'].",".$row['rating15'].",".$row['rating16'].
					             ",'".addsanit($row['comments'])."')\" );";
					break;
				case 'categories':
					$contents .= "sqlfunct_query( \"INSERT INTO categories VALUES ('".addsanit($row['name']).
					             "','".addsanit($row['shortname'])."','".addsanit($row['parent'])."')\" );";
					break;
				case 'studios':
					$contents .= "sqlfunct_query( \"INSERT INTO studios VALUES ('".addsanit($row['name']).
					             "','".addsanit($row['shortname'])."','".addsanit($row['specialities'])."')\" );";
					break;
				case 'directors':
					$contents .= "sqlfunct_query( \"INSERT INTO directors VALUES ('".addsanit($row['name']).
					             "','".addsanit($row['shortname'])."','".addsanit($row['specialities']).
					             "',".$row['gender'].")\" );";
					break;
				case 'moviecat':
					$contents .= "sqlfunct_query( \"INSERT INTO moviecat VALUES ('".addsanit($row['movie']).
					             "','".addsanit($row['category'])."',".$row['unqid'].")\" );";
					break;
				case 'movieact':
					$contents .= "sqlfunct_query( \"INSERT INTO movieact VALUES ('".addsanit($row['movie']).
					             "','".addsanit($row['actor'])."','".addsanit($row['partsplayed'])."',".$row['unqid'].")\" );";
			}

			$contents .= "checkerrors();\n";
		}
		print "<p>".sqlfunct_get_num_rows($curtable)." rows found.</p>";
		$contents .= "print \"<p>\".(".sqlfunct_get_num_rows($curtable)."-\$errorcount).\" rows added.</p>\";sumerrors();\n";
		sqlfunct_free_result( $curtable );
	}

	sqlfunct_close();

	/* read the contents of the second include file */
	if( !$failreason && $fileRef = @fopen('../../incontent/dbrecreateend.txt','rb') ) {
		while( !feof( $fileRef ) ) { $contents .= fread( $fileRef, 8192 ); }
		fclose($fileRef);
	} else { $failreason = 'incontent/dbrecreateend.txt'; }

	/* report success/failure */
	if( $failreason ) {
		print "<h2>Backup failed</h2>";
		print "<p>Failed to open source file ".$failreason." for inclusion - possible file lock, or file does not exist.</p>";
	} elseif( $filehandle = @fopen( '../recreatedatabase/index.php', "w" ) ) {
		fwrite( $filehandle, $contents );
		fclose( $filehandle );
		print "<h2>Backup succeeded</h2>";
		print "<p>All tables written into the backup file.</p>";
	} else {
		print "<h2>Backup failed</h2>";
		print "<p>Unable to open output file (admin/recreatedatabase/index.php) - possible file lock, or file needs chmod 666 (or your system's equivalent), to allow the Apache user to write to it.</p>";
	}
}

/* template includes */
include('../../includes/contentend.php');
if( !$navfirst ) { getPageNav(); }
include('../../includes/bodyend.php');

?>