<?php

/* system includes */
require('../settings/settings.php');
require('../systemincludes/alwaysinclude.php');
require('../systemincludes/authenticate.php');

/* template includes */
include('../includes/headstart.php');

?>

<title>Setup the system</title>

<?php include('../includes/headend.php'); ?>

<h1>Setup the system</h1>

<?php

/* navigation template includes */
function getPageNav() {
	include('../includes/navstart.php');
	?>
	<h3>Admin</h3>
	<ol>
		<li><a href="#systemsetup">Setting up this system</a></li>
		<li><a href="#backups">Taking backups</a></li>
		<li><a href="#emptying">Emptying the database</a></li>
		<li><a href="#recreating">Recreating from backup</a></li>
		<li><a href="#merging">Merging the backup into the database</a></li>
		<li><a href="customise/">Customise</a></li>
		<li><a href="/">View site</a></li>
		<li><a href="about/">About Movie database</a></li>
	</ol>
	<?php
	include('../includes/navend.php');
}

if( $navfirst ) { getPageNav(); }
include('../includes/contentstart.php');

?>

<h2 id="systemsetup">Setting up this system</h2>

<ol>
	<li>Follow the instructions in the readme.txt file.</li>
	<li>Now you need to create the database tables:
		<form action="createdatabase/" method="post">
			<fieldset>
				<legend>Set up the database</legend>
				<input type="submit" value="Create database tables"/>
			</fieldset>
		</form>
	</li>
</ol>

<h2 id="backups">Taking backups</h2>

<p>The system can back up its own database. This is not done with a traditional dump file. Instead it creates a backup
inside another PHP script. When you run that script, it will immediately recreate the database contents.</p>

<ol>
	<li>
		<form action="dbdump/" method="post">
			<fieldset>
				<legend>Back up the database</legend>
				<input type="submit" value="Create the backup file"/>
			</fieldset>
		</form>
	</li>
	<li>Take a copy of all files in the parent directory of this directory and all of its child directories.</li>
	<li>You can also <a href="dbdump/?saveas">save a copy of the backup file</a> so you can put it somewhere safe, but note that you do not have to do that.</li>
</ol>

<h2 id="emptying">Emptying the database</h2>

<ol>
	<li><dl><dt>Linux/Unix</dt><dd>`rm -r images/*/*/*`</dd><dt>Windows/other</dt><dd>Delete all files in images/*/*/</dd></dl></li>
	<li>Now you need to recreate the database tables:
		<form action="createdatabase/" method="post">
			<fieldset>
				<legend>Empty database by recreating tables</legend>
				<input type="submit" name="recreate" value="Recreate database tables"/>
			</fieldset>
		</form>
	</li>
</ol>

<h2 id="recreating">Recreating from backup</h2>

<ol>
	<li>Overwrite all files in the parent directory of this directory and all of its child directories with your backups.</li>
	<li>Setup the system as shown above (if the database is not empty, then make sure you <a href="#emptying">empty the database</a> before continuing).</li>
	<li>Now you need to create the database tables:
		<form action="recreatedatabase/" method="post">
			<fieldset>
				<legend>Recover database</legend>
				<input type="submit" value="Recover database tables"/>
			</fieldset>
		</form>
	</li>
</ol>

<h2 id="merging">Merging the backup into the database</h2>

<p>Generally go do not want to do this, but if you are really sure you want to...</p>

<ol>
	<li><form action="recreatedatabase/" method="post">
		<fieldset>
			<legend>Merge database</legend>
			<input type="submit" name="merge" value="Merge backup into database"/>
		</fieldset>
	</form></li>
</ol>

<?php

/* template includes */
include('../includes/contentend.php');
if( !$navfirst ) { getPageNav(); }
include('../includes/bodyend.php');

?>