<?php

/* system includes */
require('../settings/settings.php');
require('../systemincludes/alwaysinclude.php');
require('../systemincludes/authenticate.php');
require('../systemincludes/hshcheck.php');
if( $_POST['editkey'] && !checkPWHashString($_POST['editkey'],'categoryedit'.$_GET['showentry']) ) {
	include('../incontent/hashfailed.php');
	exit;
}
require('../systemincludes/sqlfunctions.php');
require('../systemincludes/dbcheck.php');

$showentry = sqlfunct_query("SELECT * FROM categories WHERE shortname = '".$_GET['showentry']."'");

$row = sqlfunct_fetch_array($showentry);

$failreason = '';
if( $_POST['editkey'] ) {
	//check if it is valid, and add the entry if it is
	if( !preg_replace( "/\s/", '', $_POST['name'] ) ) {
		$failreason = 'A name must be provided.';
	} elseif( strlen($_POST['parent']) && !@sqlfunct_fetch_array(sqlfunct_query("SELECT * FROM categories WHERE shortname = '".$_POST['parent']."'")) ) {
		$failreason = 'Requested parent category could not be found.';
	} else {
		$curcat = $_POST['parent'];
		$count = 0;
		while( $curcat && $curcat != $_GET['showentry'] && $nextcat = sqlfunct_fetch_array( sqlfunct_query( "SELECT * FROM categories WHERE shortname = '".$curcat."'" ) ) ) {
			$count++;
			if( $count == 100 ) {
				print "<p>Infinite loop detected. Category tree broken. Database broken. Hope you know SQL so you can fix it.</p>\n";
				break;
			}
			$curcat = $nextcat['parent'];
		}
		if( $curcat ) {
			$failreason = 'Category cannot be an ancestor of itself.';
		} else {
			$showentry = sqlfunct_query("SELECT * FROM categories WHERE shortname = '".$_GET['showentry']."'");
			sqlfunct_query("UPDATE categories SET name = '".$_POST['name']."', parent = '".$_POST['parent']."' WHERE shortname = '".$_GET['showentry']."'");
			if( $separatecategory ) {
				header( 'Location: '.($_SERVER['HTTPS']?'https':'http').'://'.$_SERVER['HTTP_HOST'].preg_replace("/\/[^\/]*\/[^\/]*$/",'/',$_SERVER['REQUEST_URI']), true, 303 );
			} else {
				header( 'Location: '.($_SERVER['HTTPS']?'https':'http').'://'.$_SERVER['HTTP_HOST'].preg_replace("/\/[^\/]*\/[^\/]*\/[^\/]*$/",'/movies/category-'.$_GET['showentry'],$_SERVER['REQUEST_URI']), true, 303 );
			}
			exit;
		}
	}
}

/* template includes */
include('../includes/headstart.php');

if( $row ) {
	$thename = htmlspecialchars($row['name']);
	print "<title>Edit details for ".$thename."</title>\n";
} else {
	print "<title>".$notfoundtitle."</title>\n";
}

include('../includes/headend.php');

if( $row ) {
	print "<h1>Edit details for ".$thename."</h1>\n";
} else {
	print "<h1>".$notfoundtitle."</h1>\n";
}

$defsection = 'movie';

/* navigation template includes */
function getPageNav() {
	global $row;
	include('../includes/navstart.php');
	include('../includes/navmain.php');
	include('../includes/navsearch.php');
	include('../includes/navwish.php');
	include('../includes/navend.php');
}

if( $navfirst ) { getPageNav(); }
include('../includes/contentstart.php');

if( $failreason ) {
	print "<h2>Editing category failed</h2>\n<p>".htmlspecialchars($failreason)."</p>\n";
} elseif( $row ) {
	?>
	<h2>Edit details</h2>
	<?php
	$keyinput = '<input type="hidden" name="editkey" value="' . getPWHashString('categoryedit'.$_GET['showentry']) . '"/>';
	include('includes/editform.php');
} else {
	print $notfoundh2.$nocategory;
}

/* template includes */
include('../includes/contentend.php');
if( !$navfirst ) { getPageNav(); }
include('../includes/bodyend.php');

?>