<?php

/* system includes */
require('settings/settings.php');
require('systemincludes/alwaysinclude.php');
require('systemincludes/authenticate.php');
require('systemincludes/sqlfunctions.php');
require('systemincludes/dbcheck.php');

/* template includes */
include('includes/headstart.php');

?>

<title>Movie database</title>

<?php include('includes/headend.php'); ?>

<h1>Movie database</h1>

<?php

/* navigation template includes */
function getPageNav() {
	include('includes/navstart.php');
	include('includes/navmain.php');
	?>
	<h3>Action</h3>
	<ol>
		<li><a href="search/">Advanced search</a></li>
		<li><a href="admin/">Site administration</a></li>
	</ol>
	<?php
	include('includes/navsearch.php');
	include('includes/navwish.php');
	include('includes/navend.php');
}

if( $navfirst ) { getPageNav(); }
include('includes/contentstart.php');

?>

<h2>Welcome to the movie database</h2>

<p>Use the links on the navigation panel to look through the database, add or remove movies, actors, directors, studios and categories/genres. You can also search using the context sensitive search, or the advanced search.</p>
<p>Note that search always does a case insensitive substring match. It does not support any search operators, but the following characters are special: <dfn>_</dfn> matches any single character, <dfn>%</dfn> matches any number of characters.</p>
<p>Remember to back up your database regularly using the administration section.</p>
<p>For customisation instructions, or for more information about this system, see the administration section.</p>

<?php

/* template includes */
include('includes/contentend.php');
if( !$navfirst ) { getPageNav(); }
include('includes/bodyend.php');

?>