<?php

/* system includes */
require('../settings/settings.php');
require('../systemincludes/alwaysinclude.php');
require('../systemincludes/authenticate.php');
require('../systemincludes/hshcheck.php');
if( $_POST['addkey'] && !checkPWHashString($_POST['addkey'],'movieadd') ) {
	include('../incontent/hashfailed.php');
	exit;
}
require('../systemincludes/sqlfunctions.php');
require('../systemincludes/dbcheck.php');

$failreason = '';
if( $_POST['addkey'] ) {
	//check if it is valid, and add the entry if it is
	if( !preg_match( "/^[0-9a-z_]*[a-z_][0-9a-z_]*$/", $_POST['shortname'] ) ) {
		$failreason = 'Short name not valid.';
	} elseif( !preg_replace( "/\s/", '', $_POST['name'] ) ) {
		$failreason = 'Name must be provided.';
	} elseif( !preg_match( "/^(0|[12][0-9]{3})$/", $_POST['year'] ) ) {
		$failreason = 'Year needs to be between 1000 and 2999, or 0 for unknown.';
	} elseif( !preg_match( "/^[1-3]$/", $_POST['status'] ) ) {
		$failreason = 'Invalid status.';
	} elseif( !preg_match( "/^([0-1]?[0-9]|2[0-4]):[0-5][0-9]$/", $_POST['runtime'] ) ) {
		$failreason = 'Run time needs to be in the format hh:MM (where hh is 0-23 and MM is 00-59).';
	} elseif( !preg_match( "/^[0-9]$/", $_POST['region'] ) ) {
		$failreason = 'Region must be 0-9.';
	} elseif( !preg_match( "/^[0-9]{4}(-[0-9]{2}){2}$/", $_POST['boughtdate'] ) ) {
		$failreason = 'Date acquired/added needs to be in the format YYYY-mm-dd.';
	} elseif( @sqlfunct_fetch_array(sqlfunct_query("SELECT * FROM movies WHERE shortname = '".$_POST['shortname']."'")) ) {
		$failreason = 'Short name already in use. Please choose another.';
	} elseif( $_POST['director'] && !@sqlfunct_fetch_array(sqlfunct_query("SELECT * FROM directors WHERE shortname = '".$_POST['director']."'")) ) {
		$failreason = 'Requested director could not be found.';
	} elseif( $_POST['studio'] && !@sqlfunct_fetch_array(sqlfunct_query("SELECT * FROM studios WHERE shortname = '".$_POST['studio']."'")) ) {
		$failreason = 'Requested studio could not be found.';
	} else {
		sqlfunct_query("INSERT INTO movies VALUES( '".$_POST['name']."', '".$_POST['shortname']."', '".$_POST['description']."', '".$_POST['cover']."', '".$_POST['thumb']."', '".$_POST['fullcover']."', '".$_POST['director']."', '".$_POST['studio']."', '".$_POST['year']."', '".$_POST['status']."', '".$_POST['rating1']."', '".$_POST['rating2']."', '".$_POST['rating3']."', '".$_POST['rating4']."', '".$_POST['rating5']."', '".$_POST['comments']."', '".$_POST['runtime']."', '".$_POST['certification']."', '".$_POST['mediatype']."', '".$_POST['region']."', '".$_POST['format']."', '".$_POST['colour']."', '".$_POST['audio']."', '".$_POST['boughtdate']."' )");
		header( 'Location: '.($_SERVER['HTTPS']?'https':'http').'://'.$_SERVER['HTTP_HOST'].preg_replace("/\/[^\/]*\/[^\/]*$/",'/'.$_POST['shortname'],$_SERVER['REQUEST_URI']), true, 303 );
		exit;
	}
}

/* template includes */
include('../includes/headstart.php');

?>

<title>Add movie</title>

<?php include('../includes/headend.php'); ?>

<h1>Add movie</h1>

<?php

$defsection = 'movie';

/* navigation template includes */
function getPageNav() {
	global $row;
	include('../includes/navstart.php');
	include('../includes/navmain.php');
	include('../includes/navsearch.php');
	include('../includes/navwish.php');
	include('../includes/navend.php');
}

if( $navfirst ) { getPageNav(); }
include('../includes/contentstart.php');

if( $failreason ) {
	print "<h2>Adding movie failed</h2>\n<p>".htmlspecialchars($failreason)."</p>\n";
} else {
	?>
<h2>Movie details</h2>
	<?php
	$row = Array(
	  'movie'=>'','shortname'=>'','description'=>'','thumb '=>'','cover'=>'','fullcover'=>'','directorkey'=>'',
	  'studiokey'=>'','year'=>'','status'=>'3','rating1'=>'','rating2'=>'','rating3'=>'','rating4'=>'',
		'rating5'=>'','comments'=>'','runtime'=>'','certification'=>'','mediatype'=>'','region'=>'','format'=>'','colour'=>'',
		'audio'=>'','boughtdate'=>''
	);
	$keyinput = '<input type="hidden" name="addkey" value="' . getPWHashString('movieadd') . '"/>';
	include('includes/editform.php');
}

/* template includes */
include('../includes/contentend.php');
if( !$navfirst ) { getPageNav(); }
include('../includes/bodyend.php');

?>