<?php

/* system includes */
require('../settings/settings.php');
require('../systemincludes/alwaysinclude.php');
require('../systemincludes/authenticate.php');
require('../systemincludes/hshcheck.php');
if( $_POST['editkey'] && !checkPWHashString($_POST['editkey'],'movieedit'.$_GET['showentry']) ) {
	include('../incontent/hashfailed.php');
	exit;
}
require('../systemincludes/sqlfunctions.php');
require('../systemincludes/dbcheck.php');

$showentry = sqlfunct_query("SELECT movies.name AS movie, movies.shortname AS shortname, description, thumb, cover, fullcover, year, status, rating1, rating2, rating3, rating4, rating5, comments, TIME_FORMAT(runtime,'%H:%i') AS runtime, certification, mediatype, region, format, colour, audio, boughtdate, studios.name AS studio, studios.shortname AS studiokey, directors.name AS director, directors.shortname AS directorkey FROM movies LEFT JOIN studios ON studios.shortname = movies.studio LEFT JOIN directors ON directors.shortname = movies.director WHERE movies.shortname = '".$_GET['showentry']."'");

$row = sqlfunct_fetch_array($showentry);

$failreason = '';
if( $_POST['editkey'] ) {
	//check if it is valid, and add the entry if it is
	if( !preg_replace( "/\s/", '', $_POST['name'] ) ) {
		$failreason = 'Name must be provided.';
	} elseif( !preg_match( "/^(0|[12][0-9]{3})$/", $_POST['year'] ) ) {
		$failreason = 'Year needs to be between 1000 and 2999, or 0 for unknown.';
	} elseif( !preg_match( "/^[1-3]$/", $_POST['status'] ) ) {
		$failreason = 'Invalid status.';
	} elseif( !preg_match( "/^(([0-1]?[0-9]|2[0-4]):[0-5][0-9])$/", $_POST['runtime'] ) ) {
		$failreason = 'Run time needs to be in the format hh:MM (where hh is 0-23 and MM is 00-59).';
	} elseif( !preg_match( "/^[0-9]{4}(-[0-9]{2}){2}$/", $_POST['boughtdate'] ) ) {
		$failreason = 'Date acquired/added needs to be in the format YYYY-mm-dd.';
	} elseif( @sqlfunct_fetch_array(sqlfunct_query("SELECT * FROM movies WHERE shortname = '".$_POST['shortname']."'")) ) {
		$failreason = 'Short name already in use. Please choose another.';
	} elseif( $_POST['director'] && !@sqlfunct_fetch_array(sqlfunct_query("SELECT * FROM directors WHERE shortname = '".$_POST['director']."'")) ) {
		$failreason = 'Requested director could not be found.';
	} elseif( $_POST['studio'] && !@sqlfunct_fetch_array(sqlfunct_query("SELECT * FROM studios WHERE shortname = '".$_POST['studio']."'")) ) {
		$failreason = 'Requested studio could not be found.';
	} else {
		sqlfunct_query("UPDATE movies SET name = '".$_POST['name']."', description = '".$_POST['description']."', cover = '".$_POST['cover']."', thumb = '".$_POST['thumb']."', fullcover = '".$_POST['fullcover']."', director = '".$_POST['director']."', studio = '".$_POST['studio']."', year = '".$_POST['year']."', status = '".$_POST['status']."', rating1 = '".$_POST['rating1']."', rating2 = '".$_POST['rating2']."', rating3 = '".$_POST['rating3']."', rating4 = '".$_POST['rating4']."', rating5 = '".$_POST['rating5']."', comments = '".$_POST['comments']."', runtime = '".$_POST['runtime']."', certification = '".$_POST['certification']."', mediatype = '".$_POST['mediatype']."', region = '".$_POST['region']."', format = '".$_POST['format']."', colour = '".$_POST['colour']."', audio = '".$_POST['audio']."', boughtdate = '".$_POST['boughtdate']."' WHERE shortname = '".$_GET['showentry']."'");
		header( 'Location: '.($_SERVER['HTTPS']?'https':'http').'://'.$_SERVER['HTTP_HOST'].preg_replace("/\/[^\/]*\/[^\/]*$/",'/'.$_GET['showentry'],$_SERVER['REQUEST_URI']), true, 303 );
		exit;
	}
}

/* template includes */
include('../includes/headstart.php');

if( $row ) {
	$thename = htmlspecialchars($row['movie']);
	print "<title>Edit details for ".$thename."</title>\n";
} else {
	print "<title>".$notfoundtitle."</title>\n";
}

include('../includes/headend.php');

if( $row ) {
	print "<h1>Edit details for ".$thename."</h1>\n";
} else {
	print "<h1>".$notfoundtitle."</h1>\n";
}

$defsection = 'movie';

/* navigation template includes */
function getPageNav() {
	global $row; $row['typename'] = 'movie';
	include('../includes/navstart.php');
	include('../includes/navmain.php');
	include('../includes/navback.php');
	include('../includes/navsearch.php');
	include('../includes/navwish.php');
	include('../includes/navend.php');
}

if( $navfirst ) { getPageNav(); }
include('../includes/contentstart.php');

if( $failreason ) {
	print "<h2>Editing movie failed</h2>\n<p>".htmlspecialchars($failreason)."</p>\n";
} elseif( $row ) {
	?>
	<h2>Edit details</h2>
	<?php
	$keyinput = '<input type="hidden" name="editkey" value="' . getPWHashString('movieedit'.$_GET['showentry']) . '"/>';
	include('includes/editform.php');
} else {
	print $notfoundh2.$nomovie;
}

/* template includes */
include('../includes/contentend.php');
if( !$navfirst ) { getPageNav(); }
include('../includes/bodyend.php');

?>