<form action="./<?php print htmlspecialchars($row['shortname']); ?>" method="post" id="movieedit">
	<fieldset>
		<legend>Title</legend>
		<ul>
			<li><label>Title: <input type="text" name="name" pattern="(.*\S.*)?" required="required" maxlength="255" value="<?php print htmlspecialchars($row['movie']); ?>"/></label></li>
		</ul>
	</fieldset>
	<?php if( !$row['shortname'] ) { ?>
	<fieldset>
		<legend>Unique name for use in URLs</legend>
		<p>This cannot contain just numbers, and must consist only of the characters a-z, _, and 0-9. It must be
		unique for each movie, and cannot be changed later.</p>
		<ul>
			<li><label>Short name: <input type="text" name="shortname" pattern="[0-9a-z_]*[a-z_][0-9a-z_]*" required="required" maxlength="50" value=""/></label></li>
		</ul>
	</fieldset>
	<?php } ?>
	<fieldset>
		<legend>Pictures</legend>
		<p>Images normally stored in /images/movie/[thumb|normal|big]/</p>
		<ul>
			<li><label>Thumb: <input type="text" name="thumb" maxlength="255" value="<?php print htmlspecialchars($row['thumb']); ?>"/></label></li>
			<li><label>Picture: <input type="text" name="cover" maxlength="255" value="<?php print htmlspecialchars($row['cover']); ?>"/></label></li>
			<li><label>Big picture: <input type="text" name="fullcover" maxlength="255" value="<?php print htmlspecialchars($row['fullcover']); ?>"/></label></li>
		</ul>
	</fieldset>
	<fieldset>
		<legend>Details</legend>
		<ul>
			<li><label>Year (0 for unknown): <input type="number" name="year" min="0" max="<?php print date('Y'); ?>" step="1" required="required" maxlength="4" value="<?php print ( $row['year'] ? htmlspecialchars($row['year']) : '0' ); ?>"/></label></li>
			<li><label>Main director: <select name="director">
				<option value="">Unknown</option>
				<?php
				$alldirect = sqlfunct_query("SELECT * FROM directors ORDER BY name");
				while( $curdirect = sqlfunct_fetch_array($alldirect) ) {
					print '<option '.(($curdirect['shortname']==$row['directorkey'])?'selected="selected" ':'').'value="'.htmlspecialchars($curdirect['shortname']).'">'.htmlspecialchars($curdirect['name'])."</option>\n";
				}
				?>
			</select></label> (multiple directors are not supported)</li>
			<li><label>Studio: <select name="studio">
				<option value="">Unknown</option>
				<?php
				$alldirect = sqlfunct_query("SELECT * FROM studios ORDER BY name");
				while( $curdirect = sqlfunct_fetch_array($alldirect) ) {
					print '<option '.(($curdirect['shortname']==$row['studiokey'])?'selected="selected" ':'').'value="'.htmlspecialchars($curdirect['shortname']).'">'.htmlspecialchars($curdirect['name'])."</option>\n";
				}
				?>
			</select></label></li>
			<li><label>Status: <select name="status">
				<?php
					$statii = Array('','Wanted','Ordered','Bought');
					for( $i = 1; $i < 4; $i++ ) {
						print '<option value="'.$i.'"'.(($i==$row['status'])?' selected="selected"':'').'>'.$statii[$i]."</option>\n";
					}
				?>
			</select></label></li>
			<li><label>Date acquired/added (YYYY-MM-DD): <input type="date" name="boughtdate" maxlength="10" value="<?php print $row['boughtdate'] ? htmlspecialchars($row['boughtdate']) : date('Y-m-d'); ?>"/></label></li>
			<li><label>Description (HTML): <textarea rows="3" cols="50" name="description"><?php print htmlspecialchars($row['description']); ?></textarea></label></li>
			<li><label>Comments (HTML): <textarea rows="3" cols="50" name="comments"><?php print htmlspecialchars($row['comments']); ?></textarea></label></li>
			<li><label>Run time (hh:MM max 23:59): <input type="time" name="runtime" maxlength="5" value="<?php print $row['runtime'] ? htmlspecialchars($row['runtime']) : '00:00'; ?>"/></label></li>
			<li><label>Certification (PG/R/etc.): <input type="text" name="certification" maxlength="50" value="<?php print htmlspecialchars($row['certification']); ?>"/></label></li>
		</ul>
	</fieldset>
	<fieldset>
		<legend>Media details</legend>
		<ul>
			<li><label>Media type (DVD/Video/MPEG/etc.): <input type="text" name="mediatype" maxlength="50" value="<?php print htmlspecialchars($row['mediatype']); ?>"/></label></li>
			<li><label>Region (0 for none): <input type="number" name="region" min="0" max="9" step="1" required="required" maxlength="1" value="<?php print ( $row['region'] ? htmlspecialchars($row['region']) : '0' ); ?>"/></label></li>
			<li><label>Format (PAL+widescreen/NTSC/SECAM/etc.): <input type="text" name="format" maxlength="50" value="<?php print htmlspecialchars($row['format']); ?>"/></label></li>
			<li><label>Colour (colour/b+w/anaglyph/etc.): <input type="text" name="colour" maxlength="50" value="<?php print htmlspecialchars($row['colour']); ?>"/></label></li>
			<li><label>Audio (mono/stereo/etc.): <input type="text" name="audio" maxlength="50" value="<?php print htmlspecialchars($row['audio']); ?>"/></label></li>
		</ul>
	</fieldset>
	<fieldset>
		<legend>Ratings</legend>
		<p>1-9. Use 0 for unrated.</p>
		<ul>
			<?php
			for( $i = 1; $i < 6; $i++ ) {
				$currat = 'filmrating'.$i;
				print '<li><label>'.$$currat.' <input type="number" name="rating'.$i.'" min="0" max="9" step="1" required="required" maxlength="1" value="'.( $row['rating'.$i] ? htmlspecialchars($row['rating'.$i]) : '0' ).'"/></label></li>'."\n";
			}
			?>
		</ul>
	</fieldset>
	<p><input type="submit" value="<?php print ($row['shortname']?'Update':'Add'); ?> movie"/><?php print $keyinput; ?></p>
</form>
