<?php

/* system includes */
require('../settings/settings.php');
require('../systemincludes/alwaysinclude.php');
require('../systemincludes/authenticate.php');
require('../systemincludes/sqlfunctions.php');
require('../systemincludes/dbcheck.php');

/* template includes */
include('../includes/headstart.php');

?>

<title>Movies</title>

<?php include('../includes/headend.php'); ?>

<h1>Movies</h1>

<?php

$defsection = 'movie';

/* navigation template includes */
function getPageNav() {
	include('../includes/navstart.php');
	include('../includes/navmain.php');
	include('../includes/navsearch.php');
	include('../includes/navwish.php');
	include('../includes/navend.php');
}

if( $navfirst ) { getPageNav(); }
include('../includes/contentstart.php');

?>

<h2>By category</h2>

<?php

function showCategoryFor($oParent) {
	global $catlist, $separatecategory, $movcount;
	$subtotal = sqlfunct_fetch_array(sqlfunct_query("SELECT count(*) AS count FROM moviecat LEFT JOIN movies ON movies.shortname = moviecat.movie WHERE category = '".addslashes($oParent)."' AND movies.status = 3"));
	$thistotal = $subtotal = $subtotal['count'];
	$cattotal = 1;
	$inhtml = '';
	$localcategories = sqlfunct_query("SELECT * FROM categories WHERE parent = '".addslashes($oParent)."' ORDER BY name");
	if( sqlfunct_get_num_rows($localcategories) ) {
		$inhtml .= "<ol>\n";
		while( $row = sqlfunct_fetch_array($localcategories) ) {
			$inhtml .= '<li'.(($row['shortname']==$_GET['showrange'])?' id="current"':'').'><a href="category-'.htmlspecialchars($row['shortname']).'">'.htmlspecialchars($row['name']).'</a>';
			if( !$separatecategory ) {
				$inhtml .= ' <a href="../categories/edit/'.htmlspecialchars($row['shortname']).'">edit</a> <a href="../categoryies/delete/'.htmlspecialchars($row['shortname']).'">delete</a>';
			}
			$response = showCategoryFor($row['shortname']);
			$subtotal += $response[1];
			$cattotal += $response[2];
			$inhtml .= $response[0]."</li>\n";
		}
		$inhtml .= "</ol>\n";
	}
	if( $movcount == 'simple' ) {
		$newhtml = ' <var>'.$subtotal.'</var>';
	} elseif( $movcount == 'normal' ) {
		$newhtml = ' <var>'.$thistotal.(($cattotal-1)?(','.($subtotal-$thistotal)):'').'</var>';
	} else {
		$newhtml = ' <var>'.$thistotal.(($cattotal-1)?(','.($subtotal-$thistotal).'('.($cattotal-1).')'):'').'</var>';
	}
	if( !$oParent || in_array( $oParent, $catlist ) ) {
		if( $oParent ) {
			$newhtml .= $inhtml;
		} else {
			$newhtml = $inhtml;
		}
	}
	sqlfunct_free_result($localcategories);
	return Array($newhtml,$subtotal,$cattotal);
}

$catlist = Array();
$count = 0;
if( $_GET['showrange'] && $_GET['showrange'] != 'show-all' && $_GET['showrange'] != 'not-filed' && $_GET['showrange'] != 'wish-list' && $_GET['showrange'] != 'wish-ordered' && $_GET['showrange'] != 'wish-unordered' ) {
	$curcat = $_GET['showrange'];
	while( $curcat && $nextcat = sqlfunct_fetch_array( sqlfunct_query( "SELECT * FROM categories WHERE shortname = '".$curcat."'" ) ) ) {
		$count++;
		if( $count == 100 ) {
			print "<p>Infinite loop detected. Category tree broken. Database broken. Hope you know SQL so you can fix it.</p>\n";
			break;
		}
		$catlist[] = $curcat;
		$curcat = $nextcat['parent'];
	}
}

$allcategories = sqlfunct_query("SELECT * FROM categories");

if( sqlfunct_get_num_rows($allcategories) ) {
	$newhtml = showCategoryFor('');
	print $newhtml[0];
} else {
	print $nocategory;
}
?>

<h3>Special</h3>
<ol>
	<li<?php if( $_GET['showrange'] && $_GET['showrange'] == 'not-filed' ) { print ' id="current"'; } ?>>
		<a href="category-not-filed">Unfiled</a>
		<var><?php
			$subtotal = sqlfunct_fetch_array(sqlfunct_query("SELECT count(*) AS count FROM movies LEFT JOIN moviecat ON movies.shortname = moviecat.movie WHERE moviecat.category IS NULL AND status = 3 ORDER BY name"));
			print $subtotal['count'];
		?></var>
	</li>
	<li<?php if( $_GET['showrange'] && $_GET['showrange'] == 'show-all' ) { print ' id="current"'; } ?>>
		<a href="category-show-all">All bought</a>
		<var><?php
			$subtotal = sqlfunct_fetch_array(sqlfunct_query("SELECT count(*) AS count FROM movies WHERE status = 3 ORDER BY name"));
			print $subtotal['count'];
		?></var>
	</li>
	<li<?php if( $_GET['showrange'] && $_GET['showrange'] == 'wish-list' ) { print ' id="current"'; } ?>>
		<a href="category-wish-list">Wishlist</a>
		<var><?php
			$subtotal = sqlfunct_fetch_array(sqlfunct_query("SELECT count(*) AS count FROM movies WHERE status <> 3 ORDER BY name"));
			print $subtotal['count'];
		?></var><ol>
				<li<?php if( $_GET['showrange'] && $_GET['showrange'] == 'wish-ordered' ) { print ' id="current"'; } ?>>
					<a href="category-wish-ordered">Ordered</a>
					<var><?php
					$subtotal = sqlfunct_fetch_array(sqlfunct_query("SELECT count(*) AS count FROM movies WHERE status = 2 ORDER BY name"));
					print $subtotal['count'];
				?></var>
				</li>
				<li<?php if( $_GET['showrange'] && $_GET['showrange'] == 'wish-unordered' ) { print ' id="current"'; } ?>>
					<a href="category-wish-unordered">Not ordered</a>
					<var><?php
					$subtotal = sqlfunct_fetch_array(sqlfunct_query("SELECT count(*) AS count FROM movies WHERE status = 1 ORDER BY name"));
					print $subtotal['count'];
				?></var>
			</li>
		</ol>
	</li>
</ol>

<?php
if( $_GET['showrange'] ) {
	if( $_GET['showrange'] == 'show-all' ) {
		$allmovies = sqlfunct_query("SELECT * FROM movies WHERE status = 3 ORDER BY name");
	} elseif( $_GET['showrange'] == 'not-filed' ) {
		$allmovies = sqlfunct_query("SELECT * FROM movies LEFT JOIN moviecat ON movies.shortname = moviecat.movie WHERE moviecat.category IS NULL AND status = 3 ORDER BY name");
	} elseif( $_GET['showrange'] == 'wish-list' ) {
		$allmovies = sqlfunct_query("SELECT * FROM movies WHERE status <> 3 ORDER BY name");
	} elseif( $_GET['showrange'] == 'wish-ordered' ) {
		$allmovies = sqlfunct_query("SELECT * FROM movies WHERE status = 2 ORDER BY name");
	} elseif( $_GET['showrange'] == 'wish-unordered' ) {
		$allmovies = sqlfunct_query("SELECT * FROM movies WHERE status = 1 ORDER BY name");
	} else {
		$allmovies = sqlfunct_query("SELECT * FROM movies LEFT JOIN moviecat ON movies.shortname = moviecat.movie WHERE category = '".$_GET['showrange']."' AND status = 3 ORDER BY name");
	}
	if( sqlfunct_get_num_rows($allmovies) ) {
		if( $_GET['showrange'] == 'show-all' ) {
			print "<h2>All bought movies by title</h2>\n";
		} elseif( $_GET['showrange'] == 'not-filed' ) {
			print "<h2>Unfiled movies by title</h2>\n";
		} elseif( $_GET['showrange'] == 'wish-list' ) {
			print "<h2>Wishlist movies by title</h2>\n";
		} elseif( $_GET['showrange'] == 'wish-ordered' ) {
			print "<h2>Ordered movies by title</h2>\n";
		} elseif( $_GET['showrange'] == 'wish-unordered' ) {
			print "<h2>Unordered movies by title</h2>\n";
		} else {
			print "<h2>Movies in category: ";
			$categoryname = sqlfunct_fetch_array(sqlfunct_query("SELECT name FROM categories WHERE shortname = '".$_GET['showrange']."'"));
			print ( ( $categoryname && $categoryname['name'] ) ? htmlspecialchars($categoryname['name']) : 'untitled' );
			print "</h2>\n";
		}
		$curletter = '';
		$isopen = false;
		while( $row = sqlfunct_fetch_array($allmovies) ) {
			preg_match("/^./su",$row['name'],$thislet); //cannot use substr; not utf-8-aware
			$thislet = strtoupper($thislet[0]);
			if( $thislet != $curletter ) {
				if( $isopen ) { print "</ol>\n"; }
				print "<h3>".$thislet."</h3>\n<ol>\n";
				$curletter = $thislet;
				$isopen = true;
			}
			print '<li><a href="'.htmlspecialchars($row['shortname']).'">'.htmlspecialchars($row['name']).'</a> <a href="edit/'.htmlspecialchars($row['shortname']).'">edit</a> <a href="delete/'.htmlspecialchars($row['shortname']).'">delete</a></li>'."\n";
		}
		if( $isopen ) { print "</ol>\n"; }
	} else {
		print $notfoundh2.$nomovie;
	}

}

include('../includes/actionadd.php');

/* template includes */
include('../includes/contentend.php');
if( !$navfirst ) { getPageNav(); }
include('../includes/bodyend.php');

?>