<?php

/* system includes */
require('../settings/settings.php');
require('../systemincludes/alwaysinclude.php');
require('../systemincludes/authenticate.php');
require('../systemincludes/hshcheck.php');
if( ( $_POST['removekey'] && !checkPWHashString($_POST['removekey'],'movieactorsremove'.$_GET['showentry']) ) || ( $_POST['addkey'] && !checkPWHashString($_POST['addkey'],'movieactorsadd'.$_GET['showentry']) ) ) {
	include('../incontent/hashfailed.php');
	exit;
}
require('../systemincludes/sqlfunctions.php');
require('../systemincludes/dbcheck.php');

/* template includes */
include('../includes/headstart.php');

$showentry = sqlfunct_query("SELECT * FROM movies WHERE shortname = '".$_GET['showentry']."'");

$row = sqlfunct_fetch_array($showentry);

if( $row ) {
	$thename = htmlspecialchars($row['name']);
	print "<title>Actors in ".$thename."</title>\n";
} else {
	print "<title>".$notfoundtitle."</title>\n";
}

include('../includes/headend.php');

if( $row ) {
	print "<h1>Actors in ".$thename."</h1>\n";
} else {
	print "<h1>".$notfoundtitle."</h1>\n";
}

$defsection = 'actor';

/* navigation template includes */
function getPageNav() {
	global $row; $row['typename'] = 'movie';
	include('../includes/navstart.php');
	include('../includes/navmain.php');
	include('../includes/navback.php');
	include('../includes/navsearch.php');
	include('../includes/navwish.php');
	include('../includes/navend.php');
}

if( $navfirst ) { getPageNav(); }
include('../includes/contentstart.php');

if( $row ) {
	if( $_POST['remove'] && $_POST['removekey'] ) {
		$_POST['remove'] = preg_replace( "/^Remove\s+|<[^>]*>/", '', $_POST['remove'] ); //to allow for IE stupidity
		$removedactor = sqlfunct_query("SELECT firstname, lastname, nickname FROM actors WHERE shortname = '".$_POST['remove']."'");
		$removedactor = @sqlfunct_fetch_array($removedactor);
		$removedactor = $removedactor ? ( ( $removedactor['firstname'] || $removedactor['lastname'] ) ? ( $removedactor['firstname'] . ' ' . $removedactor['lastname'] ) : $removedactor['lastname'] ) : 'untitled';
		sqlfunct_query("DELETE FROM movieact WHERE movie = '".addslashes($row['shortname'])."' AND actor = '".$_POST['remove']."'");
		print "<h2>Removing actor</h2>\n<p>Actor removed: ".htmlspecialchars($removedactor)."</p>\n";
	}
	if( $_POST['add'] && $_POST['addkey'] ) {
		$addedactor = sqlfunct_query("SELECT firstname, lastname, nickname FROM actors WHERE shortname = '".$_POST['add']."'");
		$addedactor = @sqlfunct_fetch_array($addedactor);
		if( !$addedactor ) {
			print "<h2>Adding actor failed</h2>\n".$noactor."\n";
		} else {
			$alreadystar = sqlfunct_query("SELECT * FROM movieact WHERE actor = '".$_POST['add']."' AND movie = '".addslashes($row['shortname'])."'");
			if( @sqlfunct_fetch_array($alreadystar) ) {
				print "<h2>Adding actor failed</h2>\n<p>Actor; ".htmlspecialchars( ( $addedactor['firstname'] || $addedactor['lastname'] ) ? ( $addedactor['lastname'] . ( ( $addedactor['firstname'] && $addedactor['lastname'] ) ? ', ' : '' ) . $addedactor['firstname'] ) : $addedactor['nickname'] ).", is already in the list.</p>\n";
			} else {
				sqlfunct_query("INSERT INTO movieact ( actor, movie, partsplayed ) VALUES ( '".$_POST['add']."', '".addslashes($row['shortname'])."', '".$_POST['characters']."' )");
				print "<h2>Adding actor</h2>\n<p>Actor added: ".htmlspecialchars( ( $addedactor['firstname'] || $addedactor['lastname'] ) ? ( $addedactor['lastname'] . ( ( $addedactor['firstname'] && $addedactor['lastname'] ) ? ', ' : '' ) . $addedactor['firstname'] ) : $addedactor['nickname'] )."</p>\n";
			}
		}
	}
	?>
	<h2>Actors featured in this movie</h2>
	<?php
	sqlfunct_query("CREATE TEMPORARY TABLE miniactor ( lastname varchar(255), firstname varchar(255), shortname varchar(255) ) CHARSET=".$supportsutf8);
	sqlfunct_query("INSERT INTO miniactor ( lastname, firstname, shortname ) SELECT lastname, firstname, shortname FROM actors WHERE lastname <> ''");
	sqlfunct_query("INSERT INTO miniactor ( lastname, shortname ) SELECT firstname, shortname FROM actors WHERE lastname = '' AND firstname <> ''");
	sqlfunct_query("INSERT INTO miniactor ( lastname, shortname ) SELECT nickname, shortname FROM actors WHERE lastname = '' AND firstname = ''");
	$hasactr = sqlfunct_query("SELECT * FROM movieact LEFT JOIN miniactor ON actor = shortname WHERE movie = '".addslashes($row['shortname'])."' ORDER BY lastname, firstname");
	if( sqlfunct_get_num_rows($hasactr) ) {
		print '<form action="'.htmlspecialchars($row['shortname']).'" method="post">'."\n<ol>\n";
		$doneone = false;
		//IE submits the content - markup and all(!) - as the value, instead of the value attribute, so needs an ugly hack
		$brokenbrowser = strstr($_SERVER['HTTP_USER_AGENT'],'MSIE');
		while( $oneactr = sqlfunct_fetch_array($hasactr) ) {
			$brokenbrowser = $brokenbrowser ? ( ' <!--[if IE]><span style="display:none;">'.htmlspecialchars($oneactr['shortname']).'</span><![endif]-->' ) : '';
			print '<li>'.($doneone?'':('<input type="hidden" name="removekey" value="'.getPWHashString('movieactorsremove'.$row['shortname']).'"/>')).'<button type="submit" name="remove" value="'.htmlspecialchars($oneactr['shortname']).'">Remove'.$brokenbrowser.'</button> '.htmlspecialchars( ( $oneactr['firstname'] || $oneactr['lastname'] ) ? ( $oneactr['lastname'] . ( ( $oneactr['firstname'] && $oneactr['lastname'] ) ? ', ' : '' ) . $oneactr['firstname'] ) : $oneactr['nickname'] )."</li>\n";
			$doneone = true;
		}
		print "</ol></form>\n";
	} else {
		print $noactor;
	}

	sqlfunct_query("CREATE TEMPORARY TABLE minimovact ( movie varchar(50) default NULL, actor varchar(50) default NULL ) CHARSET=".$supportsutf8);
	sqlfunct_query("INSERT INTO minimovact ( movie, actor ) SELECT movie, actor FROM movieact WHERE movie = '".addslashes($row['shortname'])."'");
	$hasactr = sqlfunct_query("SELECT * FROM miniactor LEFT JOIN minimovact ON actor = shortname WHERE movie IS NULL ORDER BY lastname, firstname");
	sqlfunct_query("DROP TEMPORARY TABLE minimovact");
	sqlfunct_query("DROP TEMPORARY TABLE miniactor");
	if( sqlfunct_get_num_rows($hasactr) ) {
		print '<form action="'.htmlspecialchars($row['shortname']).'" method="post">';
			?>
			<fieldset>
				<legend>Add actor</legend>
				<ul>
					<li><label>Actor: <select name="add">
					<?php
					while( $oneactr = sqlfunct_fetch_array($hasactr) ) {
						print '<option value="'.htmlspecialchars($oneactr['shortname']).'">'.htmlspecialchars( ( $oneactr['firstname'] || $oneactr['lastname'] ) ? ( $oneactr['lastname'] . ( ( $oneactr['firstname'] && $oneactr['lastname'] ) ? ', ' : '' ) . $oneactr['firstname'] ) : $oneactr['nickname'] )."</option>\n";
					}
					?>
					</select></label></li>
					<li><label>Character names: <input type="text" name="characters" value="" maxlength="255"/></label></li>
				</ul>
				<input type="submit" value="Add"/><input type="hidden" name="addkey" value="<?php print getPWHashString('movieactorsadd'.$row['shortname']); ?>"/>
			</fieldset>
		</form>
		<?php
	} else {
		print '<h3>Add actor</h3>'.$noactor;
	}


} else {
	print $notfoundh2.$noactor;
}

/* template includes */
include('../includes/contentend.php');
if( !$navfirst ) { getPageNav(); }
include('../includes/bodyend.php');

?>