<?php

/* system includes */
require('../settings/settings.php');
require('../systemincludes/alwaysinclude.php');
require('../systemincludes/authenticate.php');
require('../systemincludes/hshcheck.php');
if( ( $_POST['removekey'] && !checkPWHashString($_POST['removekey'],'moviecategoriesremove'.$_GET['showentry']) ) || ( $_POST['addkey'] && !checkPWHashString($_POST['addkey'],'moviecategoriesadd'.$_GET['showentry']) ) ) {
	include('../incontent/hashfailed.php');
	exit;
}
require('../systemincludes/sqlfunctions.php');
require('../systemincludes/dbcheck.php');

/* template includes */
include('../includes/headstart.php');

$showentry = sqlfunct_query("SELECT * FROM movies WHERE shortname = '".$_GET['showentry']."'");

$row = sqlfunct_fetch_array($showentry);

if( $row ) {
	$thename = htmlspecialchars($row['name']);
	print "<title>Categories for ".$thename."</title>\n";
} else {
	print "<title>".$notfoundtitle."</title>\n";
}

include('../includes/headend.php');

if( $row ) {
	print "<h1>Categories for ".$thename."</h1>\n";
} else {
	print "<h1>".$notfoundtitle."</h1>\n";
}

$defsection = 'movie';

/* navigation template includes */
function getPageNav() {
	global $row; $row['typename'] = 'movie';
	include('../includes/navstart.php');
	include('../includes/navmain.php');
	include('../includes/navback.php');
	include('../includes/navsearch.php');
	include('../includes/navwish.php');
	include('../includes/navend.php');
}

if( $navfirst ) { getPageNav(); }
include('../includes/contentstart.php');

function showCategoryFor( $oParent, $oText = '' ) {
	global $catlist;
	$localcategories = sqlfunct_query("SELECT * FROM categories WHERE parent = '".addslashes($oParent)."' ORDER BY name");
	if( sqlfunct_get_num_rows($localcategories) ) {
		if( $oParent ) { print '<optgroup label="- '.htmlspecialchars($oText)."\">\n"; }
		while( $row = sqlfunct_fetch_array($localcategories) ) {
			print '<option '.(in_array($row['shortname'],$catlist)?'disabled="disabled" ':'').'value="'.htmlspecialchars($row['shortname']).'">'.htmlspecialchars($row['name'])."</option>\n";
			showCategoryFor($row['shortname'],$row['name']);
		}
		if( $oParent ) { print "</optgroup>\n"; }
	}
	sqlfunct_free_result($localcategories);
}

if( $row ) {
	if( $_POST['remove'] && $_POST['removekey'] ) {
		$_POST['remove'] = preg_replace( "/^Remove\s+|<[^>]*>/", '', $_POST['remove'] ); //to allow for IE stupidity
		$removedcategory = sqlfunct_query("SELECT name FROM categories WHERE shortname = '".$_POST['remove']."'");
		$removedcategory = @sqlfunct_fetch_array($removedcategory);
		$removedcategory = $removedcategory ? $removedcategory['name'] : 'untitled';
		sqlfunct_query("DELETE FROM moviecat WHERE movie = '".addslashes($row['shortname'])."' AND category = '".$_POST['remove']."'");
		print "<h2>Removing category</h2>\n<p>Category removed: ".htmlspecialchars($removedcategory)."</p>\n";
	}
	if( $_POST['add'] && $_POST['addkey'] ) {
		$addedcategory = sqlfunct_query("SELECT name FROM categories WHERE shortname = '".$_POST['add']."'");
		$addedcategory = @sqlfunct_fetch_array($addedcategory);
		if( !$addedcategory ) {
			print "<h2>Adding category failed</h2>\n".$nocategory."\n";
		} else {
			$alreadyfeat = sqlfunct_query("SELECT * FROM moviecat WHERE category = '".$_POST['add']."' AND movie = '".addslashes($row['shortname'])."'");
			if( @sqlfunct_fetch_array($alreadyfeat) ) {
				print "<h2>Adding category failed</h2>\n<p>Category; ".htmlspecialchars($addedcategory['name']).", is already in the list.</p>\n";
			} else {
				sqlfunct_query("INSERT INTO moviecat ( category, movie ) VALUES ( '".$_POST['add']."', '".addslashes($row['shortname'])."' )");
				print "<h2>Adding category</h2>\n<p>Category added: ".htmlspecialchars($addedcategory['name'])."</p>\n";
			}
		}
	}
	?>
	<h2>Categories featured in this movie</h2>
	<?php

	$catlist = Array();
	$hascategory = sqlfunct_query("SELECT * FROM moviecat LEFT JOIN categories ON category = shortname WHERE movie = '".addslashes($row['shortname'])."' ORDER BY name");
	if( sqlfunct_get_num_rows($hascategory) ) {
		print '<form action="'.htmlspecialchars($row['shortname']).'" method="post">'."\n<ol>\n";
		$doneone = false;
		//IE submits the content - markup and all(!) - as the value, instead of the value attribute, so needs an ugly hack
		$brokenbrowser = strstr($_SERVER['HTTP_USER_AGENT'],'MSIE');
		while( $onecategory = sqlfunct_fetch_array($hascategory) ) {
			$catlist[] = $onecategory['shortname'];
			$brokenbrowser = $brokenbrowser ? ( ' <!--[if IE]><span style="display:none;">'.htmlspecialchars($onecategory['shortname']).'</span><![endif]-->' ) : '';
			print '<li>'.($doneone?'':('<input type="hidden" name="removekey" value="'.getPWHashString('moviecategoriesremove'.$row['shortname']).'"/>')).'<button type="submit" name="remove" value="'.htmlspecialchars($onecategory['shortname']).'">Remove'.$brokenbrowser.'</button> '.htmlspecialchars($onecategory['name'])."</li>\n";
			$doneone = true;
		}
		print "</ol></form>\n";
	} else {
		print $nocategory;
	}

	sqlfunct_query("CREATE TEMPORARY TABLE minimovcat ( movie varchar(50) default NULL, category varchar(50) default NULL ) CHARSET=".$supportsutf8);
	sqlfunct_query("INSERT INTO minimovcat ( movie, category ) SELECT movie, category FROM moviecat WHERE movie = '".addslashes($row['shortname'])."'");
	$hascategory = sqlfunct_query("SELECT * FROM categories LEFT JOIN minimovcat ON category = shortname WHERE movie IS NULL ORDER BY name");
	sqlfunct_query("DROP TEMPORARY TABLE minimovcat");
	if( sqlfunct_get_num_rows($hascategory) ) {
		print '<form action="'.htmlspecialchars($row['shortname']).'" method="post">';
			?>
			<fieldset>
				<legend>Add category</legend>
				<select name="add">
				<?php
					showCategoryFor('');
				?>
				</select>
				<input type="submit" value="Add"/><input type="hidden" name="addkey" value="<?php print getPWHashString('moviecategoriesadd'.$row['shortname']); ?>"/>
			</fieldset>
		</form>
		<?php
	} else {
		print '<h3>Add category</h3>'.$nocategory;
	}


} else {
	print $notfoundh2.$nocategory;
}

/* template includes */
include('../includes/contentend.php');
if( !$navfirst ) { getPageNav(); }
include('../includes/bodyend.php');

?>