<?php

/* system includes */
require('../settings/settings.php');
require('../systemincludes/alwaysinclude.php');
require('../systemincludes/authenticate.php');
require('../systemincludes/sqlfunctions.php');
require('../systemincludes/dbcheck.php');

if( isset($_GET['showentry']) && !preg_match("/^([1-5]|recent)$/",$_GET['showentry']) ) {
	header( 'Location: '.($_SERVER['HTTPS']?'https':'http').'://'.$_SERVER['HTTP_HOST'].preg_replace("/\/[^\/]*$/",'/'.$_GET['showentry'],$_SERVER['REQUEST_URI']) );
	exit;
}

/* template includes */
include('../includes/headstart.php');

?>

<title>Top movies</title>

<?php include('../includes/headend.php'); ?>

<h1>Top movies</h1>

<?php

$defsection = 'movies';

/* navigation template includes */
function getPageNav() {
	include('../includes/navstart.php');
	include('../includes/navmain.php');
	include('../includes/navsearch.php');
	include('../includes/navwish.php');
	include('../includes/navend.php');
}

if( $navfirst ) { getPageNav(); }
include('../includes/contentstart.php');


if( $_GET['showentry'] ) {

	if( $_GET['showentry'] == 'recent' ) {
		print "<h2>25 most recently acquired</h2>\n";
		$allfilm = sqlfunct_query("SELECT name, shortname, year, thumb, fullcover, boughtdate FROM movies WHERE status = 3 ORDER BY boughtdate DESC, name LIMIT 25");
	} else {
		$rating = ', rating'.$_GET['showentry'];
		$currat = 'filmrating'.$_GET['showentry'];
		print '<h2>Ranked by '.htmlspecialchars($$currat)."</h2>\n";
		$allfilm = sqlfunct_query("SELECT rating".$_GET['showentry'].", name, shortname, year, thumb, fullcover FROM movies WHERE rating".$_GET['showentry']." > 0 AND status = 3 ORDER BY rating".$_GET['showentry']." DESC, name");
	}

	if( sqlfunct_get_num_rows($allfilm) ) {
		?>
		<table>
			<thead>
				<tr><th>Movie</th><th><?php print ( $_GET['showentry'] == 'recent' ) ? 'Acquired' : htmlspecialchars($$currat); ?></th><th>Year</th><th>Cover</th></tr>
			</thead>
			<tbody>
				<?php
				while( $row = sqlfunct_fetch_array($allfilm) ) {
					print '			<tr><th><a href="../'.htmlspecialchars($row['shortname']).'">'.htmlspecialchars($row['name']).'</a></th><td>';
					if( $_GET['showentry'] == 'recent' ) {
						print $row['boughtdate'];
					} else {
						print '<var>'.$row['rating'.$_GET['showentry']].'</var>';
					}
					print '</td><td>'.($row['year']?('<var>'.$row['year'].'</var>'):'').'</td><td>';
					if( $row['fullcover'] ) { print '<a href="'.htmlspecialchars($row['fullcover']).'">'; }
					if( $row['thumb'] ) { print '<img src="'.htmlspecialchars($row['thumb']).'" alt="'; }
					if( $row['fullcover'] ) { print '[view cover]'; } elseif( $row['cover'] ) { print '[cover]'; }
					if( $row['thumb'] ) { print '"/>'; }
					if( $row['fullcover'] ) { print '</a>'; }
					print "</td></tr>\n";
				}
				?>
			</tbody>
		</table>
		<?php

	} else {
		print $nomovie;
	}

} else {
	print "<h2>Rank by</h2>\n<ol>\n";
	for( $i = 1; $i < 6; $i++ ) {
		$currat = 'filmrating'.$i;
		print '<li><a href="'.$i.'">'.htmlspecialchars($$currat)."</a></li>\n";
	}
	print '<li><a href="recent">Date acquired'."</a></li>\n";
	print "</ol>\n";
}

/* template includes */
include('../includes/contentend.php');
if( !$navfirst ) { getPageNav(); }
include('../includes/bodyend.php');

?>