<?php

/* system includes */
require('../settings/settings.php');
require('../systemincludes/alwaysinclude.php');
require('../systemincludes/authenticate.php');
require('../systemincludes/hshcheck.php');
require('../systemincludes/sqlfunctions.php');
require('../systemincludes/dbcheck.php');

/* template includes */
include('../includes/headstart.php');
include('../includes/headup.php');

$showentry = sqlfunct_query("SELECT movies.name AS movie, movies.shortname AS shortname, description, cover, fullcover, year, status, rating1, rating2, rating3, rating4, rating5, comments, TIME_FORMAT(runtime,'%H:%i') AS runtime, certification, mediatype, region, format, colour, audio, boughtdate, studios.name AS studio, studios.shortname AS studiokey, directors.name AS director, directors.shortname AS directorkey FROM movies LEFT JOIN studios ON studios.shortname = movies.studio LEFT JOIN directors ON directors.shortname = movies.director WHERE movies.shortname = '".$_GET['showentry']."'");

$row = sqlfunct_fetch_array($showentry);

if( $row ) {
	$thename = htmlspecialchars($row['movie']);
	print "<title>".$thename."</title>\n";
} else {
	print "<title>".$notfoundtitle."</title>\n";
}

include('../includes/headend.php');

if( $row ) {
	print "<h1>".$thename."</h1>\n";
} else {
	print "<h1>".$notfoundtitle."</h1>\n";
}

$defsection = 'movie';

/* navigation template includes */
function getPageNav() {
	global $row;
	include('../includes/navstart.php');
	include('../includes/navmain.php');
	include('../includes/navsearch.php');
	include('../includes/navwish.php');
	include('../includes/navend.php');
}

if( $navfirst ) { getPageNav(); }
include('../includes/contentstart.php');

if( $row ) {

	//main content showing details of movie
	?>
	<h2>Movie details</h2>
	<?php
	if( $row['fullcover'] ) { print '<a href="'.htmlspecialchars($row['fullcover']).'">'; }
	if( $row['cover'] ) { print '<img src="'.htmlspecialchars($row['cover']).'" alt="'; }
	if( $row['fullcover'] ) { print '[view cover]'; } elseif( $row['cover'] ) { print '[cover]'; }
	if( $row['cover'] ) { print '"/>'; }
	if( $row['fullcover'] ) { print '</a>'; }

	$statii = Array('','Wanted','Ordered','Bought');
	print "<dl>\n";
	if( $row['year'] ) { print '<dt>Year</dt><dd>'.$row['year']."</dd>\n"; }
	if( $row['director'] ) { print '<dt>Director</dt><dd><a href="../directors/'.htmlspecialchars($row['directorkey']).'">'.htmlspecialchars($row['director'])."</a></dd>\n"; }
	if( $row['studio'] ) { print '<dt>Studio</dt><dd><a href="../studios/'.htmlspecialchars($row['studiokey']).'">'.htmlspecialchars($row['studio'])."</a></dd>\n"; }

	//now categories - using a separate request
	$whatcategory = sqlfunct_query("SELECT * FROM moviecat LEFT JOIN categories ON category = shortname WHERE movie = '".addslashes($row['shortname'])."' ORDER BY name");
	if( sqlfunct_get_num_rows($whatcategory) ) {
		print "<dt>Categories</dt><dd>";
		$donecats = false;
		while( $onecategory = sqlfunct_fetch_array($whatcategory) ) {
			print ($donecats?', ':'').'<a href="category-'.htmlspecialchars( $onecategory['shortname'] ).'">'.htmlspecialchars( $onecategory['name'] ).'</a>';
			$donecats = true;
		}
		print "</dd>";
	}

	print '<dt>Status</dt><dd>'.$statii[$row['status']]."</dd>\n";
	if( $row['boughtdate'] != '0000-01-01' && $row['boughtdate'] != '1000-01-01' && $row['boughtdate'] != '1970-01-01' ) { print '<dt>Acquired/added</dt><dd>'.$row['boughtdate']."</dd>\n"; }
	if( $row['runtime'] != '00:00' ) { print '<dt>Run time</dt><dd>'.$row['runtime']."</dd>\n"; }
	if( $row['certification'] ) { print '<dt>Certification</dt><dd>'.htmlspecialchars($row['certification'])."</dd>\n"; }
	print "</dl>\n";

	if( $row['description'] ) { print '<h3>Description</h3>'.$row['description']."\n"; }

	//now actors - using a separate request
	sqlfunct_query("CREATE TEMPORARY TABLE miniactor ( lastname varchar(255), firstname varchar(255), shortname varchar(255), birthyear int(4), deathyear int(4) ) CHARSET=".$supportsutf8);
	sqlfunct_query("INSERT INTO miniactor ( lastname, firstname, shortname, birthyear, deathyear ) SELECT lastname, firstname, shortname, birthyear, deathyear FROM actors WHERE firstname <> ''");
	sqlfunct_query("INSERT INTO miniactor ( firstname, shortname, birthyear, deathyear ) SELECT lastname, shortname, birthyear, deathyear FROM actors WHERE firstname = '' AND lastname <> ''");
	sqlfunct_query("INSERT INTO miniactor ( firstname, shortname, birthyear, deathyear ) SELECT nickname, shortname, birthyear, deathyear FROM actors WHERE lastname = '' AND firstname = ''");
	$whatstars = sqlfunct_query("SELECT * FROM movieact LEFT JOIN miniactor ON actor = shortname WHERE movie = '".addslashes($row['shortname'])."' ORDER BY firstname, lastname");
	sqlfunct_query("DROP TEMPORARY TABLE miniactor");
	if( sqlfunct_get_num_rows($whatstars) ) {
		print "<h3>Actors</h3>\n<ul>\n";
		$nowyear = ( $showcurrentage || !$row['year'] ) ? ( date('Y') * 1 ) : $row['year'];
		while( $oneactor = sqlfunct_fetch_array($whatstars) ) {
			$individualage = ( $showcurrentage && $oneactor['deathyear'] ) ? ' <var>deceased</var>' : ( $oneactor['birthyear'] ? ( ' <var>' . ( $nowyear - $oneactor['birthyear'] ) . '</var>' ) : '' );
			print '<li><a href="../actors/'.htmlspecialchars($oneactor['shortname']).'">'.htmlspecialchars($oneactor['firstname']).($oneactor['lastname']?(' '.htmlspecialchars($oneactor['lastname'])):'').'</a>'.$individualage.( $oneactor['partsplayed'] ? ( ' (' . htmlspecialchars($oneactor['partsplayed']) . ')' ) : '' )."</li>\n";
		}
		print "</ul>";
	}

	if( $row['comments'] ) { print '<h3>Comments</h3>'.$row['comments']."\n"; }

	if( $row['mediatype'] || $row['region'] || $row['format'] || $row['colour'] || $row['audio'] ) {
		print "<h3>Media details</h3>\n<dl>\n";
		if( $row['mediatype'] ) { print '<dt>Media type</dt><dd>'.htmlspecialchars($row['mediatype'])."</dd>\n"; }
		if( $row['region'] ) { print '<dt>Region</dt><dd>'.$row['region']."</dd>\n"; }
		if( $row['format'] ) { print '<dt>Format</dt><dd>'.htmlspecialchars($row['format'])."</dd>\n"; }
		if( $row['colour'] ) { print '<dt>Colour</dt><dd>'.htmlspecialchars($row['colour'])."</dd>\n"; }
		if( $row['audio'] ) { print '<dt>Audio</dt><dd>'.htmlspecialchars($row['audio'])."</dd>\n"; }
		print "</dl>\n";
	}

	for( $i = 1, $ratedyet = false; $i < 6; $i++ ) {
		$currat = 'filmrating'.$i;
		if( $row['rating'.$i] ) {
			if( !$ratedyet ) {
				print "<h3>Ratings</h3>\n<dl>\n";
				$ratedyet = true;
			}
			print '<dt>'.htmlspecialchars($$currat).'</dt><dd>'.$row['rating'.$i]."</dd>\n";
		}
	}
	if( $ratedyet ) {
		print "</dl>\n";
	}

	$deletekey = getPWHashString('moviedelete'.$row['shortname']);
	include('../includes/actionedit.php');
	?>
	<form action="actors/<?php print htmlspecialchars($row['shortname']); ?>" method="post">
		<p><input type="submit" value="Edit actors"/></p>
	</form>
	<form action="categories/<?php print htmlspecialchars($row['shortname']); ?>" method="post">
		<p><input type="submit" value="Edit categories"/></p>
	</form>
	<?php

} else {
	print $notfoundh2.$nomovie;
}

/* template includes */
include('../includes/contentend.php');
if( !$navfirst ) { getPageNav(); }
include('../includes/bodyend.php');

?>