<?php

/* system includes */
require('../settings/settings.php');
require('../systemincludes/alwaysinclude.php');
require('../systemincludes/authenticate.php');
require('../systemincludes/sqlfunctions.php');
require('../systemincludes/dbcheck.php');

/* template includes */
include('../includes/headstart.php');

?>

<title>Search<?php if( isset($_GET['searchfor']) && $_GET['searchfor'] !== '' ) { print ' results'; } ?></title>

<?php include('../includes/headend.php'); ?>

<h1>Search<?php if( isset($_GET['searchfor']) && $_GET['searchfor'] !== '' ) { print ' results'; } ?></h1>

<?php

/* navigation template includes */
function getPageNav() {
	include('../includes/navstart.php');
	include('../includes/navmain.php');
	include('../includes/navwish.php');
	include('../includes/navend.php');
}

if( $navfirst ) { getPageNav(); }
include('../includes/contentstart.php');

/* searching time! */
if( isset($_GET['searchfor']) && $_GET['searchfor'] !== '' ) {
	$nowyear = date('Y') * 1;
	$searchSQL = '';
	if( $_GET['searchsect'] == 'actor' ) {
		print "<h2>Actors</h2>\n";
		if( !$_GET['firstname'] && !$_GET['lastname'] && !$_GET['nickname'] && !$_GET['birthyear'] ) {
			//you are not allowed to search in no sections
			$_GET['firstname'] = $actdeffirst || ( !$actdeflast && !$actdefnick && $actdefyear );
			$_GET['lastname'] = $actdeflast;
			$_GET['nickname'] = $actdefnick;
			$_GET['birthyear'] = $actdefyear;
		}
		if( $_GET['firstname'] && $_GET['lastname'] ) {
			$searchSQL = "CONCAT( firstname, ' ', lastname ) LIKE '%".$_GET['searchfor']."%'";
		} elseif( $_GET['firstname'] ) {
			$searchSQL = "firstname LIKE '%".$_GET['searchfor']."%'";
		} elseif( $_GET['lastname'] ) {
			$searchSQL = "lastname LIKE '%".$_GET['searchfor']."%'";
		}
		if( $_GET['nickname'] ) {
			$searchSQL .= ( $searchSQL ? ' OR ' : '' ) . "nickname LIKE '%".$_GET['searchfor']."%'";
		}
		if( $_GET['birthyear'] ) {
			$searchSQL .= ( $searchSQL ? ' OR ' : '' ) . "CAST( birthyear AS CHAR ) LIKE '".$_GET['searchfor']."%' OR CAST( deathyear AS CHAR ) LIKE '".$_GET['searchfor']."%'";
		}
		$searchres = sqlfunct_query( "SELECT * FROM actors WHERE ".$searchSQL." ORDER BY lastname, firstname, nickname" );
		if( !sqlfunct_get_num_rows($searchres) ) {
			print $noactor;
		} else {
			print "<ol>\n";
			while( $row = sqlfunct_fetch_array($searchres) ) {
				print '<li><h5><a href="../actors/'.htmlspecialchars($row['shortname']).'">'.(($row['firstname']||$row['lastname'])?(htmlspecialchars($row['firstname']).' '.htmlspecialchars($row['lastname'])):htmlspecialchars($row['nickname'])).'</a></h5>';
				if( $row['thumb'] ) { print '<img src="'.htmlspecialchars($row['thumb']).'" alt=""/>'; }
				if( $row['birthyear'] || $row['deathyear'] || $row['specialities'] ) {
					print '<dl>';
					if( $row['birthyear'] ) {
						if( $row['deathyear'] ) {
							print '<dt>Birth year</dt><dd>'.$row['birthyear']."</dd>\n";
							print '<dt>Death year [age]</dt><dd>'.$row['deathyear'].' ['.($row['deathyear']-$row['birthyear'])."]</dd>\n";
						} else {
							print '<dt>Age [birth year]</dt><dd>'.( $nowyear - $row['birthyear'] ).' ['.$row['birthyear']."]</dd>\n";
						}
					} elseif( $row['deathyear'] ) {
						print '<dt>Death year</dt><dd>'.$row['deathyear']."</dd>\n";
					}
					if( $row['specialities'] ) { print '<dt>Specialities</dt><dd>'.$row['specialities'].'</dd>'; }
					print '</dl>';
				}
				print "</li>\n";
			}
			print "</ol>\n";
		}
	} elseif( $_GET['searchsect'] == 'movie' ) {
		print "<h2>Movies</h2>\n";
		if( !$_GET['moviename'] && !$_GET['description'] && !$_GET['director'] && !$_GET['studio'] ) {
			//you are not allowed to search in no sections
			$_GET['moviename'] = $movdeftitle || ( !$movdefdesc && !$movdefdirec && $movdefstud );
			$_GET['description'] = $movdefdesc;
			$_GET['director'] = $movdefdirec;
			$_GET['studio'] = $movdefstud;
		}
		if( $_GET['moviename'] ) {
			$searchSQL = "movie LIKE '%".$_GET['searchfor']."%'";
		}
		if( $_GET['description'] ) {
			$searchSQL .= ( $searchSQL ? ' OR ' : '' ) . "description LIKE '%".$_GET['searchfor']."%'";
		}
		if( $_GET['director'] ) {
			$searchSQL .= ( $searchSQL ? ' OR ' : '' ) . "director LIKE '%".$_GET['searchfor']."%'";
		}
		if( $_GET['studio'] ) {
			$searchSQL .= ( $searchSQL ? ' OR ' : '' ) . "studio LIKE '%".$_GET['searchfor']."%'";
		}
		sqlfunct_query( "CREATE TEMPORARY TABLE combinedmovies ( movie varchar(255) default NULL, shortname varchar(50), description text, director varchar(255) default NULL, studio varchar(255) default NULL, thumb varchar(255), year int(4), status int(1) ) CHARSET=".$supportsutf8 );
		sqlfunct_query( "INSERT INTO combinedmovies ( movie, shortname, description, director, studio, thumb, year, status ) SELECT movies.name, movies.shortname, movies.description, directors.name, studios.name, movies.thumb, movies.year, movies.status FROM movies, directors, studios WHERE movies.director = directors.shortname AND movies.studio = studios.shortname" );
		sqlfunct_query( "INSERT INTO combinedmovies ( movie, shortname, description, studio, thumb, year, status ) SELECT movies.name, movies.shortname, movies.description, studios.name, movies.thumb, movies.year, movies.status FROM movies, studios WHERE movies.director = '' AND movies.studio = studios.shortname" );
		sqlfunct_query( "INSERT INTO combinedmovies ( movie, shortname, description, director, thumb, year, status ) SELECT movies.name, movies.shortname, movies.description, directors.name, movies.thumb, movies.year, movies.status FROM movies, directors WHERE movies.director = directors.shortname AND movies.studio = ''" );
		sqlfunct_query( "INSERT INTO combinedmovies ( movie, shortname, description, thumb, year, status ) SELECT movies.name, movies.shortname, movies.description, movies.thumb, movies.year, movies.status FROM movies WHERE movies.director = '' AND movies.studio = ''" );
		$searchres = sqlfunct_query( "SELECT * FROM combinedmovies WHERE ( ".$searchSQL." ) AND status ". ( $_GET['wishlist'] ? '<>' : '=' ) ." 3 ORDER BY movie" );
		sqlfunct_query( "DROP TEMPORARY TABLE combinedmovies" );
		if( !sqlfunct_get_num_rows($searchres) ) {
			print $nomovie;
		} else {
			print "<ol>\n";
			while( $row = sqlfunct_fetch_array($searchres) ) {
				print '<li><h5><a href="../movies/'.htmlspecialchars($row['shortname']).'">'.htmlspecialchars($row['movie']).'</a></h5>';
				if( $row['thumb'] ) { print '<img src="'.htmlspecialchars($row['thumb']).'" alt=""/>'; }
				if( $row['director'] || $row['studio'] || $row['year'] || $row['description'] ) {
					print '<dl>';
					if( $row['director'] ) { print '<dt>Director</dt><dd>'.$row['director'].'</dd>'; }
					if( $row['studio'] ) { print '<dt>Studio</dt><dd>'.$row['studio'].'</dd>'; }
					if( $row['year'] ) { print '<dt>Year</dt><dd>'.$row['year'].'</dd>'; }
					if( $row['description'] ) { print '<dt>Description</dt><dd>'.preg_replace("/\.[\w\W]*$/",'.',strip_tags($row['description'])).'</dd>'; }
					print '</dl>';
				}
				print "</li>\n";
			}
			print "</ol>\n";
		}
	} elseif( $_GET['searchsect'] == 'studio' ) {
		print "<h2>Studios</h2>\n";
		$searchres = sqlfunct_query( "SELECT * FROM studios WHERE name LIKE '%".$_GET['searchfor']."%' ORDER BY name" );
		if( !sqlfunct_get_num_rows($searchres) ) {
			print $nostudio;
		} else {
			print "<ol>\n";
			while( $row = sqlfunct_fetch_array($searchres) ) {
				print '<li><h5><a href="../studios/'.htmlspecialchars($row['shortname']).'">'.htmlspecialchars($row['name']).'</a></h5>';
				if( $row['specialities'] ) {
					print '<dl><dt>Specialities</dt><dd>'.$row['specialities'].'</dd></dl>';
				}
				print "</li>\n";
			}
			print "</ol>\n";
		}
	} else {
		print "<h2>Directors</h2>\n";
		$searchres = sqlfunct_query( "SELECT * FROM directors WHERE name LIKE '%".$_GET['searchfor']."%' ORDER BY name" );
		if( !sqlfunct_get_num_rows($searchres) ) {
			print $nodirector;
		} else {
			print "<ol>\n";
			while( $row = sqlfunct_fetch_array($searchres) ) {
				print '<li><h5><a href="../directors/'.htmlspecialchars($row['shortname']).'">'.htmlspecialchars($row['name']).'</a></h5>';
				if( $row['specialities'] ) {
					print '<dl><dt>Specialities</dt><dd>'.$row['specialities'].'</dd></dl>';
				}
				print "</li>\n";
			}
			print "</ol>\n";
		}
	}
}

if( !count($_GET) ) {
	//set all to defaults
	$_GET['searchsect'] = $defsection;
	$_GET['firstname'] = $actdeffirst || ( !$actdeflast && !$actdefnick && $actdefyear );
	$_GET['lastname'] = $actdeflast;
	$_GET['nickname'] = $actdefnick;
	$_GET['birthyear'] = $actdefyear;
	$_GET['moviename'] = $movdeftitle || ( !$movdefdesc && !$movdefdirec && $movdefstud );
	$_GET['description'] = $movdefdesc;
	$_GET['director'] = $movdefdirec;
	$_GET['studio'] = $movdefstud;
	$_GET['wishlist'] = $movdefwish;
} elseif( !$_GET['searchsect'] ) {
	$_GET['searchsect'] = $defsection;
}

/* Now the advanced search form - rearrange as needed */

?>

<form action="./" method="get" id="advancedsearch">
	<fieldset>
		<legend>Search<?php if( isset($_GET['searchfor']) && $_GET['searchfor'] !== '' ) { print ' again'; } ?></legend>
		<input type="text" name="searchfor" value="<?php print htmlspecialchars(stripslashes($_GET['searchfor'])); ?>"/>
		<ul>
			<li>
				<fieldset>
					<legend><label><input type="radio" name="searchsect" <?php if( $_GET['searchsect'] == 'actor' ) { print 'checked="checked" '; } ?>value="actor"/> Actor</label></legend>
					<ul>
						<li><label><input type="checkbox" name="firstname" <?php if( $_GET['firstname'] ) { print 'checked="checked" '; } ?>value="1"/> First name</label></li>
						<li><label><input type="checkbox" name="lastname" <?php if( $_GET['lastname'] ) { print 'checked="checked" '; } ?>value="1"/> Last name</label></li>
						<li><label><input type="checkbox" name="nickname" <?php if( $_GET['nickname'] ) { print 'checked="checked" '; } ?>value="1"/> Nickname</label></li>
						<li><label><input type="checkbox" name="birthyear" <?php if( $_GET['birthyear'] ) { print 'checked="checked" '; } ?>value="1"/> Birth or death year</label></li>
					</ul>
				</fieldset>
			</li>
			<li>
				<fieldset>
					<legend><label><input type="radio" name="searchsect" <?php if( $_GET['searchsect'] == 'movie' ) { print 'checked="checked" '; } ?>value="movie"/> Movie</label></legend>
					<ul>
						<li><label><input type="checkbox" name="moviename" <?php if( $_GET['moviename'] ) { print 'checked="checked" '; } ?>value="1"/> Name</label></li>
						<li><label><input type="checkbox" name="description" <?php if( $_GET['description'] ) { print 'checked="checked" '; } ?>value="1"/> Description</label></li>
						<li><label><input type="checkbox" name="director" <?php if( $_GET['director'] ) { print 'checked="checked" '; } ?>value="1"/> Director</label></li>
						<li><label><input type="checkbox" name="studio" <?php if( $_GET['studio'] ) { print 'checked="checked" '; } ?>value="1"/> Studio</label></li>
						<li><label><input type="checkbox" name="wishlist" <?php if( $_GET['wishlist'] ) { print 'checked="checked" '; } ?>value="1"/> Search wishlist</label></li>
					</ul>
				</fieldset>
			</li>
			<li><label><input type="radio" name="searchsect" <?php if( $_GET['searchsect'] == 'studio' ) { print 'checked="checked" '; } ?>value="studio"/> Studio</label></li>
			<li><label><input type="radio" name="searchsect" <?php if( $_GET['searchsect'] == 'director' ) { print 'checked="checked" '; } ?>value="director"/> Director</label></li>
		</ul>
		<input type="submit" value="Search"/>
	</fieldset>
</form>

<?php

/* template includes */
include('../includes/contentend.php');
if( !$navfirst ) { getPageNav(); }
include('../includes/bodyend.php');

?>