<?php

// The settings file, where you specify the various options for the system

/* administration settings */
/* you should always supply a password, even if you do not require logins (it is used to prevent XSRF attacks) */
$requirelogin = true; //use false if you do not want to have to log in to use the system
$adminname = 'changethisusername';
$adminpass = 'changethispassword';
$authrealm = 'Movie database'; //just a name - make sure /images/*/.htaccess uses the same realm
$usecookies = false; //set to true to use cookies for logging in - some servers cannot use normal HTTP authentication and need cookies

/* database settings - these are the values you used when setting up the MySQL server */
$host = 'localhost';
$username = 'someuser';
$password = 'somepassword';
$database = 'somedatabase';

/* other settings */
  /* the MIME type tells the browser if the page is HTML or XHTML  - the pages all use XHTML markup, but IE needs you
     to pretend you are using plain HTML;
     * use 'text/html;charset=utf-8' if you need it to work in IE (or Safari, due to rendering bugs)
     * use 'application/xhtml+xml;charset=utf-8' if you are only using a good browser - note that any HTML you put in
       any database fields must be valid XHTML fragments */
$defaultmime = 'text/html;charset=utf-8';
  /* should the navigation appear before the main content in the document source
     this does not affect the layout with the defaul stylesheet, but it will change it for browsers that do not use the
     stylesheet, and you may need to change it for custom stylesheets */
$navfirst = false; //use true to put the navigation blocks before the main content
  /* should category management be done on a separate page, or as part of the movies listing page
     (makes the movies page cluttered) */
$separatecategory = true; //use false to put them as part of the movies page
  /* movie counting (shown beside categories) can be:
     * 'simple' = [total for this and sub-categories]
     * 'normal' = [total for this category, total for sub-categories]
     * 'detailed' = [total for this category, total for sub-categories (count sub-categories)] */
$movcount = 'normal';
  /* on movie details pages, actor ages can be displayed as the calculated age when the movie was
     made, or their current age */
$showcurrentage = false; //use true to show current age
  /* should the browser be allowed to cache pages
     preventing caching may cause form changes to be lost when going back to them - will be annoying
     Note: Opera will always cache some pages (such as movie or actor details) unless you use HTTPS */
$allowcaching = true; //use false to prevent caching
  /* does your MySQL install support utf-8?
     name sort orders may be wrong if you use non-latin characters in a latin database, so utf-8 is better, if
     it is available
     IMPORTANT: never change this setting after you have created the database tables
     table contents of utf-8 and latin are incompatible with each other (if they contain any non-latin characters)
     never recover the contents of a database if they were dumped from the other type */
$supportsutf8 = true; //use false to use latin encoding

/* film rating names - these are the names that will appear on the pages */
$filmrating1 = 'Rating 1';
$filmrating2 = 'Rating 2';
$filmrating3 = 'Rating 3';
$filmrating4 = 'Rating 4';
$filmrating5 = 'Rating 5';

/* actor rating names - these are the names that will appear on the pages */
$actrating1 = 'Rating 1';
$actrating2 = 'Rating 2';
$actrating3 = 'Rating 3';
$actrating4 = 'Rating 4';
$actrating5 = 'Rating 5';
$actrating6 = 'Rating 6';
$actrating7 = 'Rating 7';
$actrating8 = 'Rating 8';
$actrating9 = 'Rating 9';
$actrating10 = 'Rating 10';
$actrating11 = 'Rating 11';
$actrating12 = 'Rating 12';
$actrating13 = 'Rating 13';
$actrating14 = 'Rating 14';
$actrating15 = 'Rating 15';
$actrating16 = 'Rating 16';

/* set the timezone that will be used for age calculations */

date_default_timezone_set('Europe/London');

/* age ranges to show on the actors page (key is also used to build the virtual URLs)
$ageranges[url key] = Array(from,to,title)
key _must_ be a number */
$ageranges = Array(); $maxpossible = date('Y') - 1; //do NOT edit this line
$ageranges[0] = Array(0,19,'19 and below');
$ageranges[20] = Array(20,29,'20 - 29');
$ageranges[30] = Array(30,39,'30 - 39');
$ageranges[40] = Array(40,49,'40 - 49');
$ageranges[50] = Array(50,59,'50 - 59');
$ageranges[60] = Array(60,69,'60 - 69');
$ageranges[70] = Array(70,$maxpossible,'70 and above');

/* default section to search */
/* on most pages the searching is context sensitive, so on movie pages it defaults to searching movies
   this setting will only be used on pages that have no relevant context */
$defsection = 'movie'; //actor/movie/studio/director - set it to whichever you are most likely to search

/* search engine defaults for actors */
/* at least one of these must be true - if none is true, then I will set the first one to true anyway :P */
$actdeffirst = true; //search firstname
$actdeflast = true;  //search lastname
$actdefnick = true;  //search nickname
$actdefyear = true;  //search birthyear and deathyear

/* search engine defaults for movies */
/* at least one of the first 4 of these must be true - if none is true, then I will set the first one to true anyway :P */
$movdeftitle = true; //search title
$movdefdesc = true;  //search description
$movdefdirec = true; //search director
$movdefstud = true;  //search studio
$movdefwish = false; //search wishlist

/* error messages, when no results could be found */
$notfoundtitle = 'Not found';                             //the document title
$notfoundh2 = '<h2>I tried looking, but ...</h2>';        //the subheading
$noactor = '<p>No villains found.</p>';                   //if no actors were found
$nomovie = '<p>No footage found.</p>';                    //if no movies were found
$nostudio = '<p>No lights, camera, or action found.</p>'; //if no studios were found
$nodirector = '<p>No evil dictators found.</p>';          //if no directors were found
$nocategory = '<p>No stereotypes found.</p>';             //if no categories were found

?>