<?php

/* system includes */
require('../settings/settings.php');
require('../systemincludes/alwaysinclude.php');
require('../systemincludes/authenticate.php');
require('../systemincludes/hshcheck.php');
if( $_POST['addkey'] && !checkPWHashString($_POST['addkey'],'studioadd') ) {
	include('../incontent/hashfailed.php');
	exit;
}
require('../systemincludes/sqlfunctions.php');
require('../systemincludes/dbcheck.php');

$failreason = '';
if( $_POST['addkey'] ) {
	//check if it is valid, and add the entry if it is
	if( !preg_replace( "/\s/", '', $_POST['name'] ) ) {
		$failreason = 'A name must be provided.';
	} elseif( !preg_match( "/^[0-9a-z_]*[a-z_][0-9a-z_]*$/", $_POST['shortname'] ) ) {
		$failreason = 'Short name not valid.';
	} elseif( @sqlfunct_fetch_array(sqlfunct_query("SELECT * FROM studios WHERE shortname = '".$_POST['shortname']."'")) ) {
		$failreason = 'Short name already in use. Please choose another.';
	} else {
		sqlfunct_query("INSERT INTO studios VALUES( '".$_POST['name']."', '".$_POST['shortname']."', '".$_POST['specialities']."' )");
		header( 'Location: '.($_SERVER['HTTPS']?'https':'http').'://'.$_SERVER['HTTP_HOST'].preg_replace("/\/[^\/]*\/[^\/]*$/",'/'.$_POST['shortname'],$_SERVER['REQUEST_URI']), true, 303 );
		exit;
	}
}

/* template includes */
include('../includes/headstart.php');

?>

<title>Add studio</title>

<?php include('../includes/headend.php'); ?>

<h1>Add studio</h1>

<?php

$defsection = 'studio';

/* navigation template includes */
function getPageNav() {
	global $row;
	include('../includes/navstart.php');
	include('../includes/navmain.php');
	include('../includes/navsearch.php');
	include('../includes/navwish.php');
	include('../includes/navend.php');
}

if( $navfirst ) { getPageNav(); }
include('../includes/contentstart.php');

if( $failreason ) {
	print "<h2>Adding studio failed</h2>\n<p>".htmlspecialchars($failreason)."</p>\n";
} else {
	?>
<h2>Studio details</h2>
	<?php
	$row = Array('name'=>'','shortname'=>'','specialities'=>'');
	$keyinput = '<input type="hidden" name="addkey" value="' . getPWHashString('studioadd') . '"/>';
	include('includes/editform.php');
}

/* template includes */
include('../includes/contentend.php');
if( !$navfirst ) { getPageNav(); }
include('../includes/bodyend.php');

?>