<?php

// Creates and checks session hashes based on the password.sourceIP.identifier.date
// Identifier allows flexible hashes that change depending on the requesting page,
// requested action, and database primary key
// Date is done on a same-or-previous day (GMT) basis
// For pages that are particularly dangerous, or cannot be restricted to a single
// primary key, use a same-day session by setting the second parameter to true when
// requesting a hash

$oldhash = $currenthash = $adminpass.$_SERVER['REMOTE_ADDR'];
$currenthash .= gmdate('Ymd');
$oldhash .= gmdate('Ymd',time()-86400);

function getPWHashString( $oSourcePage, $oBackOneDay = false ) {
	global $currenthash, $oldhash;
	return md5( ( $oBackOneDay ? $oldhash : $currenthash ) . $oSourcePage );
}

function checkPWHashString($passedPass,$oSourcePage) {
	if( !$passedPass ) { return false; }
	return ( ( getPWHashString($oSourcePage) == $passedPass ) || ( getPWHashString($oSourcePage,true) == $passedPass ) );
}

?>